/*
        *** THIS IS A FILE FOR DOXYGEN AND NOT A C HEADER FILE ***
*/

/**
 *******************************************************************************
 ** \mainpage PDL for FM0+ - Documentation
 ** <hr>
 *******************************************************************************
 ** \image html Spansion_logo.png
 **
 ** Copyright (C) 2013 Spansion LLC. All Rights Reserved.
 **
 ** This software is owned and published by:
 ** Spansion LLC, 915 DeGuigne Dr. Sunnyvale, CA  94088-3453 ("Spansion").
 **
 ** BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
 ** BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
 **
 ** This software contains source code for use with Spansion
 ** components. This software is licensed by Spansion to be adapted only
 ** for use in systems utilizing Spansion components. Spansion shall not be
 ** responsible for misuse or illegal use of this software for devices not
 ** supported herein.  Spansion is providing this software "AS IS" and will
 ** not be responsible for issues arising from incorrect user implementation
 ** of the software.
 **
 ** SPANSION MAKES NO WARRANTY, EXPRESS OR IMPLIED, ARISING BY LAW OR OTHERWISE,
 ** REGARDING THE SOFTWARE (INCLUDING ANY ACOOMPANYING WRITTEN MATERIALS),
 ** ITS PERFORMANCE OR SUITABILITY FOR YOUR INTENDED USE, INCLUDING,
 ** WITHOUT LIMITATION, THE IMPLIED WARRANTY OF MERCHANTABILITY, THE IMPLIED
 ** WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE OR USE, AND THE IMPLIED
 ** WARRANTY OF NONINFRINGEMENT.
 ** SPANSION SHALL HAVE NO LIABILITY (WHETHER IN CONTRACT, WARRANTY, TORT,
 ** NEGLIGENCE OR OTHERWISE) FOR ANY DAMAGES WHATSOEVER (INCLUDING, WITHOUT
 ** LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION,
 ** LOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY LOSS) ARISING FROM USE OR
 ** INABILITY TO USE THE SOFTWARE, INCLUDING, WITHOUT LIMITATION, ANY DIRECT,
 ** INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES OR LOSS OF DATA,
 ** SAVINGS OR PROFITS,
 ** EVEN IF SPANSION HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 ** YOU ASSUME ALL RESPONSIBILITIES FOR SELECTION OF THE SOFTWARE TO ACHIEVE YOUR
 ** INTENDED RESULTS, AND FOR THE INSTALLATION OF, USE OF, AND RESULTS OBTAINED
 ** FROM, THE SOFTWARE.
 **
 ** This software may be replicated in part or whole for the licensed use,
 ** with the restriction that this Disclaimer and Copyright notice must be
 ** included with each copy of this software, whether used in part or whole,
 ** at all times.
 **
 ** <br>
 ** <hr>
 ** <b>History</b>
 **  - 2014-01-22
 **    - Version 0.1
 **    - Author: Spansion Inc., China
 **    - Comment: First alpha release version
 **
 **  - 2014-02-26
 **    - Version 0.2
 **    - Author: Spansion Inc., China
 **    - Comment: All drivers and simple examples available
 **
 **  - 2014-03-17
 **    - Version 0.3
 **    - Author: Spansion Inc., China
 **    - Comment: Add advance examples in ADC/LPM/MFS/RTC
 **
 **  - 2014-03-31
 **    - Version 0.4
 **    - Author: Spansion Inc., China
 **    - Comment: Add the utility drivers
 **
 **  - 2014-04-08
 **    - Version 1.0
 **    - Author: Spansion Inc., China
 **    - Comment: V1.0 release
 ** <hr>
 **
 ** <b>Implementations in PDL:</b>
 ** <table border="0">
 ** <tr><td> ADC   </td><td> Analog Digital Cionverter                              </td></tr>
 ** <tr><td> BT    </td><td> Base Time                                              </td></tr>
 ** <tr><td> CLK   </td><td> Clock Module                                           </td></tr>
 ** <tr><td> CRC   </td><td> Cyclic Redundancy Check                                </td></tr>
 ** <tr><td> CR    </td><td> High-CR trimming                                       </td></tr>
 ** <tr><td> CSV   </td><td> Clock supervisor                                       </td></tr>
 ** <tr><td> DMA   </td><td> Direc Memory Access                                    </td></tr>
 ** <tr><td> DT    </td><td> Dual Timer                                             </td></tr>
 ** <tr><td> EXINT </td><td> External Interrupt                                     </td></tr>
 ** <tr><td> Flash </td><td> Main/Work Flash operation                              </td></tr>
 ** <tr><td> GPIO  </td><td> General Purpose Inoput/Output Ports (only header file) </td></tr>
 ** <tr><td> LPM   </td><td> Low Power Modes                                        </td></tr>
 ** <tr><td> LVD   </td><td> Low Voltage Detection                                  </td></tr>
 ** <tr><td> MFS   </td><td> Multi Function Serial Interface                        </td></tr>
 ** <tr><td> MFT   </td><td> Multi Function Timer                                   </td></tr>
 ** <tr><td> QPRC  </td><td> Quad Decoder and Position/Revolution Counter           </td></tr>
 ** <tr><td> RESET </td><td> Reset Cause Register                                   </td></tr>
 ** <tr><td> RTC   </td><td> Real Time Clock                                        </td></tr>
 ** <tr><td> UID   </td><td> Unique ID                                              </td></tr>
 ** <tr><td> WC    </td><td> Watch Counter                                          </td></tr>
 ** <tr><td> WDG   </td><td> Watch Dog Timer                                        </td></tr>
 ** </table>
 **
 ** <b>Utility:</b>
 ** <table border="0">
 ** <tr><td> AT24CXX   </td><td> I2C interface EEPROM              </td></tr>
 ** <tr><td> PRINTF    </td><td> Printf via UART                   </td></tr>
 ** <tr><td> S25FL127S </td><td> Spansion SPI Flash                </td></tr>
 ** </table>
 **
 ** <br><hr><br>
 **
 ******************************************************************************/
