/******************************************************************************
* Copyright (C) 2013 Spansion LLC. All Rights Reserved.                        
*                                                                              
* This software is owned and published by:                                     
* Spansion LLC, 915 DeGuigne Dr. Sunnyvale, CA  94088-3453 ("Spansion").       
*                                                                              
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND     
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.                           
*                                                                              
* This software contains source code for use with Spansion                     
* components. This software is licensed by Spansion to be adapted only         
* for use in systems utilizing Spansion components. Spansion shall not be      
* responsible for misuse or illegal use of this software for devices not       
* supported herein.  Spansion is providing this software "AS IS" and will      
* not be responsible for issues arising from incorrect user implementation     
* of the software.                                                             
*                                                                              
* SPANSION MAKES NO WARRANTY, EXPRESS OR IMPLIED, ARISING BY LAW OR OTHERWISE, 
* REGARDING THE SOFTWARE (INCLUDING ANY ACOOMPANYING WRITTEN MATERIALS),       
* ITS PERFORMANCE OR SUITABILITY FOR YOUR INTENDED USE, INCLUDING,             
* WITHOUT LIMITATION, THE IMPLIED WARRANTY OF MERCHANTABILITY, THE IMPLIED     
* WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE OR USE, AND THE IMPLIED         
* WARRANTY OF NONINFRINGEMENT.                                                 
* SPANSION SHALL HAVE NO LIABILITY (WHETHER IN CONTRACT, WARRANTY, TORT,       
* NEGLIGENCE OR OTHERWISE) FOR ANY DAMAGES WHATSOEVER (INCLUDING, WITHOUT      
* LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION,     
* LOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY LOSS) ARISING FROM USE OR   
* INABILITY TO USE THE SOFTWARE, INCLUDING, WITHOUT LIMITATION, ANY DIRECT,    
* INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES OR LOSS OF DATA,      
* SAVINGS OR PROFITS,                                                          
* EVEN IF SPANSION HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.        
* YOU ASSUME ALL RESPONSIBILITIES FOR SELECTION OF THE SOFTWARE TO ACHIEVE YOUR
* INTENDED RESULTS, AND FOR THE INSTALLATION OF, USE OF, AND RESULTS OBTAINED  
* FROM, THE SOFTWARE.                                                          
*                                                                              
* This software may be replicated in part or whole for the licensed use,       
* with the restriction that this Disclaimer and Copyright notice must be       
* included with each copy of this software, whether used in part or whole,     
* at all times.                                                                
*/
/******************************************************************************/
/** \file gpio_s6e1a1xc0a.h 
 **
 ** Header file for S6E1A1XC0A GPIO functions, included in gpio.h
 **
 ** History:
 **   - 2013-12-04  1.0  Edison Zhang    First version
 **   - 2014-05-14  1.1  Edison Zhang	 Update P46/P47, PE2/PE3 initialization
 **
 ******************************************************************************/

#ifndef __GPIO_S6E1A1XC0A_H__
#define __GPIO_S6E1A1XC0A_H__

#include <stdint.h>

/******************************************************************************
   GPIO
*******************************************************************************/

/*---- GPIO bit P00 ----*/

#define GPIO1PIN_P00_GET             ( bFM0P_GPIO_PDIR0_P00 )

#define GPIO1PIN_P00_PUT(v)          ( bFM0P_GPIO_PDOR0_P00=(v) )

#define GPIO1PIN_P00_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P00_INITIN(v) \
                                                        : GPIO1PIN_P00_INITOUT(v) )

#define GPIO1PIN_P00_INITIN(v)       do{ bFM0P_GPIO_PCR0_P00=(v).bPullup; \
                                         bFM0P_GPIO_DDR0_P00=0u; \
                                         bFM0P_GPIO_PFR0_P00=0u; }while(0)

#define GPIO1PIN_P00_INITOUT(v)      do{ bFM0P_GPIO_PDOR0_P00=(v).bInitVal; \
                                         bFM0P_GPIO_DDR0_P00=1u; \
                                         bFM0P_GPIO_PFR0_P00=0u; }while(0)


/*---- GPIO bit NP00 ----*/
#define GPIO1PIN_NP00_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR0_P00)) )

#define GPIO1PIN_NP00_PUT(v)         ( bFM0P_GPIO_PDOR0_P00=(uint32_t)(!(v)) )

#define GPIO1PIN_NP00_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP00_INITIN(v) \
                                                        : GPIO1PIN_NP00_INITOUT(v) )

#define GPIO1PIN_NP00_INITIN(v)      do{ bFM0P_GPIO_PCR0_P00=(v).bPullup; \
                                         bFM0P_GPIO_DDR0_P00=0u; \
                                         bFM0P_GPIO_PFR0_P00=0u; }while(0)

#define GPIO1PIN_NP00_INITOUT(v)     do{ bFM0P_GPIO_PDOR0_P00=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR0_P00=1u; \
                                         bFM0P_GPIO_PFR0_P00=0u; }while(0)


/*---- GPIO bit P01 ----*/

#define GPIO1PIN_P01_GET             ( bFM0P_GPIO_PDIR0_P01 )

#define GPIO1PIN_P01_PUT(v)          ( bFM0P_GPIO_PDOR0_P01=(v) )

#define GPIO1PIN_P01_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P01_INITIN(v) \
                                                        : GPIO1PIN_P01_INITOUT(v) )

#define GPIO1PIN_P01_INITIN(v)       do{ bFM0P_GPIO_PCR0_P01=(v).bPullup; \
                                         bFM0P_GPIO_DDR0_P01=0u; \
                                         bFM0P_GPIO_PFR0_P01=0u; }while(0)

#define GPIO1PIN_P01_INITOUT(v)      do{ bFM0P_GPIO_PDOR0_P01=(v).bInitVal; \
                                         bFM0P_GPIO_DDR0_P01=1u; \
                                         bFM0P_GPIO_PFR0_P01=0u; }while(0)


/*---- GPIO bit NP01 ----*/
#define GPIO1PIN_NP01_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR0_P01)) )

#define GPIO1PIN_NP01_PUT(v)         ( bFM0P_GPIO_PDOR0_P01=(uint32_t)(!(v)) )

#define GPIO1PIN_NP01_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP01_INITIN(v) \
                                                        : GPIO1PIN_NP01_INITOUT(v) )

#define GPIO1PIN_NP01_INITIN(v)      do{ bFM0P_GPIO_PCR0_P01=(v).bPullup; \
                                         bFM0P_GPIO_DDR0_P01=0u; \
                                         bFM0P_GPIO_PFR0_P01=0u; }while(0)

#define GPIO1PIN_NP01_INITOUT(v)     do{ bFM0P_GPIO_PDOR0_P01=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR0_P01=1u; \
                                         bFM0P_GPIO_PFR0_P01=0u; }while(0)


/*---- GPIO bit P02 ----*/

#define GPIO1PIN_P02_GET             ( bFM0P_GPIO_PDIR0_P02 )

#define GPIO1PIN_P02_PUT(v)          ( bFM0P_GPIO_PDOR0_P02=(v) )

#define GPIO1PIN_P02_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P02_INITIN(v) \
                                                        : GPIO1PIN_P02_INITOUT(v) )

#define GPIO1PIN_P02_INITIN(v)       do{ bFM0P_GPIO_PCR0_P02=(v).bPullup; \
                                         bFM0P_GPIO_DDR0_P02=0u; \
                                         bFM0P_GPIO_PFR0_P02=0u; }while(0)

#define GPIO1PIN_P02_INITOUT(v)      do{ bFM0P_GPIO_PDOR0_P02=(v).bInitVal; \
                                         bFM0P_GPIO_DDR0_P02=1u; \
                                         bFM0P_GPIO_PFR0_P02=0u; }while(0)


/*---- GPIO bit NP02 ----*/
#define GPIO1PIN_NP02_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR0_P02)) )

#define GPIO1PIN_NP02_PUT(v)         ( bFM0P_GPIO_PDOR0_P02=(uint32_t)(!(v)) )

#define GPIO1PIN_NP02_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP02_INITIN(v) \
                                                        : GPIO1PIN_NP02_INITOUT(v) )

#define GPIO1PIN_NP02_INITIN(v)      do{ bFM0P_GPIO_PCR0_P02=(v).bPullup; \
                                         bFM0P_GPIO_DDR0_P02=0u; \
                                         bFM0P_GPIO_PFR0_P02=0u; }while(0)

#define GPIO1PIN_NP02_INITOUT(v)     do{ bFM0P_GPIO_PDOR0_P02=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR0_P02=1u; \
                                         bFM0P_GPIO_PFR0_P02=0u; }while(0)


/*---- GPIO bit P03 ----*/

#define GPIO1PIN_P03_GET             ( bFM0P_GPIO_PDIR0_P03 )

#define GPIO1PIN_P03_PUT(v)          ( bFM0P_GPIO_PDOR0_P03=(v) )

#define GPIO1PIN_P03_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P03_INITIN(v) \
                                                        : GPIO1PIN_P03_INITOUT(v) )

#define GPIO1PIN_P03_INITIN(v)       do{ bFM0P_GPIO_PCR0_P03=(v).bPullup; \
                                         bFM0P_GPIO_DDR0_P03=0u; \
                                         bFM0P_GPIO_PFR0_P03=0u; }while(0)

#define GPIO1PIN_P03_INITOUT(v)      do{ bFM0P_GPIO_PDOR0_P03=(v).bInitVal; \
                                         bFM0P_GPIO_DDR0_P03=1u; \
                                         bFM0P_GPIO_PFR0_P03=0u; }while(0)


/*---- GPIO bit NP03 ----*/
#define GPIO1PIN_NP03_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR0_P03)) )

#define GPIO1PIN_NP03_PUT(v)         ( bFM0P_GPIO_PDOR0_P03=(uint32_t)(!(v)) )

#define GPIO1PIN_NP03_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP03_INITIN(v) \
                                                        : GPIO1PIN_NP03_INITOUT(v) )

#define GPIO1PIN_NP03_INITIN(v)      do{ bFM0P_GPIO_PCR0_P03=(v).bPullup; \
                                         bFM0P_GPIO_DDR0_P03=0u; \
                                         bFM0P_GPIO_PFR0_P03=0u; }while(0)

#define GPIO1PIN_NP03_INITOUT(v)     do{ bFM0P_GPIO_PDOR0_P03=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR0_P03=1u; \
                                         bFM0P_GPIO_PFR0_P03=0u; }while(0)


/*---- GPIO bit P04 ----*/

#define GPIO1PIN_P04_GET             ( bFM0P_GPIO_PDIR0_P04 )

#define GPIO1PIN_P04_PUT(v)          ( bFM0P_GPIO_PDOR0_P04=(v) )

#define GPIO1PIN_P04_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P04_INITIN(v) \
                                                        : GPIO1PIN_P04_INITOUT(v) )

#define GPIO1PIN_P04_INITIN(v)       do{ bFM0P_GPIO_PCR0_P04=(v).bPullup; \
                                         bFM0P_GPIO_DDR0_P04=0u; \
                                         bFM0P_GPIO_PFR0_P04=0u; }while(0)

#define GPIO1PIN_P04_INITOUT(v)      do{ bFM0P_GPIO_PDOR0_P04=(v).bInitVal; \
                                         bFM0P_GPIO_DDR0_P04=1u; \
                                         bFM0P_GPIO_PFR0_P04=0u; }while(0)


/*---- GPIO bit NP04 ----*/
#define GPIO1PIN_NP04_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR0_P04)) )

#define GPIO1PIN_NP04_PUT(v)         ( bFM0P_GPIO_PDOR0_P04=(uint32_t)(!(v)) )

#define GPIO1PIN_NP04_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP04_INITIN(v) \
                                                        : GPIO1PIN_NP04_INITOUT(v) )

#define GPIO1PIN_NP04_INITIN(v)      do{ bFM0P_GPIO_PCR0_P04=(v).bPullup; \
                                         bFM0P_GPIO_DDR0_P04=0u; \
                                         bFM0P_GPIO_PFR0_P04=0u; }while(0)

#define GPIO1PIN_NP04_INITOUT(v)     do{ bFM0P_GPIO_PDOR0_P04=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR0_P04=1u; \
                                         bFM0P_GPIO_PFR0_P04=0u; }while(0)


/*---- GPIO bit P0F ----*/

#define GPIO1PIN_P0F_GET             ( bFM0P_GPIO_PDIR0_P0F )

#define GPIO1PIN_P0F_PUT(v)          ( bFM0P_GPIO_PDOR0_P0F=(v) )

#define GPIO1PIN_P0F_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P0F_INITIN(v) \
                                                        : GPIO1PIN_P0F_INITOUT(v) )

#define GPIO1PIN_P0F_INITIN(v)       do{ bFM0P_GPIO_PCR0_P0F=(v).bPullup; \
                                         bFM0P_GPIO_DDR0_P0F=0u; \
                                         bFM0P_GPIO_PFR0_P0F=0u; }while(0)

#define GPIO1PIN_P0F_INITOUT(v)      do{ bFM0P_GPIO_PDOR0_P0F=(v).bInitVal; \
                                         bFM0P_GPIO_DDR0_P0F=1u; \
                                         bFM0P_GPIO_PFR0_P0F=0u; }while(0)


/*---- GPIO bit NP0F ----*/
#define GPIO1PIN_NP0F_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR0_P0F)) )

#define GPIO1PIN_NP0F_PUT(v)         ( bFM0P_GPIO_PDOR0_P0F=(uint32_t)(!(v)) )

#define GPIO1PIN_NP0F_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP0F_INITIN(v) \
                                                        : GPIO1PIN_NP0F_INITOUT(v) )

#define GPIO1PIN_NP0F_INITIN(v)      do{ bFM0P_GPIO_PCR0_P0F=(v).bPullup; \
                                         bFM0P_GPIO_DDR0_P0F=0u; \
                                         bFM0P_GPIO_PFR0_P0F=0u; }while(0)

#define GPIO1PIN_NP0F_INITOUT(v)     do{ bFM0P_GPIO_PDOR0_P0F=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR0_P0F=1u; \
                                         bFM0P_GPIO_PFR0_P0F=0u; }while(0)


/*---- GPIO bit P10 ----*/

#define GPIO1PIN_P10_GET             ( bFM0P_GPIO_PDIR1_P10 )

#define GPIO1PIN_P10_PUT(v)          ( bFM0P_GPIO_PDOR1_P10=(v) )

#define GPIO1PIN_P10_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P10_INITIN(v) \
                                                        : GPIO1PIN_P10_INITOUT(v) )

#define GPIO1PIN_P10_INITIN(v)       do{ bFM0P_GPIO_PCR1_P10=(v).bPullup; \
                                         bFM0P_GPIO_DDR1_P10=0u; \
                                         bFM0P_GPIO_PFR1_P10=0u; \
                                         bFM0P_GPIO_ADE_AN00=0u; }while(0)


#define GPIO1PIN_P10_INITOUT(v)      do{ bFM0P_GPIO_PDOR1_P10=(v).bInitVal; \
                                         bFM0P_GPIO_DDR1_P10=1u; \
                                         bFM0P_GPIO_PFR1_P10=0u; \
                                         bFM0P_GPIO_ADE_AN00=0u; }while(0)


/*---- GPIO bit NP10 ----*/
#define GPIO1PIN_NP10_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR1_P10)) )

#define GPIO1PIN_NP10_PUT(v)         ( bFM0P_GPIO_PDOR1_P10=(uint32_t)(!(v)) )

#define GPIO1PIN_NP10_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP10_INITIN(v) \
                                                        : GPIO1PIN_NP10_INITOUT(v) )

#define GPIO1PIN_NP10_INITIN(v)      do{ bFM0P_GPIO_PCR1_P10=(v).bPullup; \
                                         bFM0P_GPIO_DDR1_P10=0u; \
                                         bFM0P_GPIO_PFR1_P10=0u; \
                                         bFM0P_GPIO_ADE_AN00=0u; }while(0)


#define GPIO1PIN_NP10_INITOUT(v)     do{ bFM0P_GPIO_PDOR1_P10=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR1_P10=1u; \
                                         bFM0P_GPIO_PFR1_P10=0u; \
                                         bFM0P_GPIO_ADE_AN00=0u; }while(0)


/*---- GPIO bit P11 ----*/

#define GPIO1PIN_P11_GET             ( bFM0P_GPIO_PDIR1_P11 )

#define GPIO1PIN_P11_PUT(v)          ( bFM0P_GPIO_PDOR1_P11=(v) )

#define GPIO1PIN_P11_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P11_INITIN(v) \
                                                        : GPIO1PIN_P11_INITOUT(v) )

#define GPIO1PIN_P11_INITIN(v)       do{ bFM0P_GPIO_PCR1_P11=(v).bPullup; \
                                         bFM0P_GPIO_DDR1_P11=0u; \
                                         bFM0P_GPIO_PFR1_P11=0u; \
                                         bFM0P_GPIO_ADE_AN01=0u; }while(0)


#define GPIO1PIN_P11_INITOUT(v)      do{ bFM0P_GPIO_PDOR1_P11=(v).bInitVal; \
                                         bFM0P_GPIO_DDR1_P11=1u; \
                                         bFM0P_GPIO_PFR1_P11=0u; \
                                         bFM0P_GPIO_ADE_AN01=0u; }while(0)


/*---- GPIO bit NP11 ----*/
#define GPIO1PIN_NP11_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR1_P11)) )

#define GPIO1PIN_NP11_PUT(v)         ( bFM0P_GPIO_PDOR1_P11=(uint32_t)(!(v)) )

#define GPIO1PIN_NP11_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP11_INITIN(v) \
                                                        : GPIO1PIN_NP11_INITOUT(v) )

#define GPIO1PIN_NP11_INITIN(v)      do{ bFM0P_GPIO_PCR1_P11=(v).bPullup; \
                                         bFM0P_GPIO_DDR1_P11=0u; \
                                         bFM0P_GPIO_PFR1_P11=0u; \
                                         bFM0P_GPIO_ADE_AN01=0u; }while(0)


#define GPIO1PIN_NP11_INITOUT(v)     do{ bFM0P_GPIO_PDOR1_P11=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR1_P11=1u; \
                                         bFM0P_GPIO_PFR1_P11=0u; \
                                         bFM0P_GPIO_ADE_AN01=0u; }while(0)


/*---- GPIO bit P12 ----*/

#define GPIO1PIN_P12_GET             ( bFM0P_GPIO_PDIR1_P12 )

#define GPIO1PIN_P12_PUT(v)          ( bFM0P_GPIO_PDOR1_P12=(v) )

#define GPIO1PIN_P12_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P12_INITIN(v) \
                                                        : GPIO1PIN_P12_INITOUT(v) )

#define GPIO1PIN_P12_INITIN(v)       do{ bFM0P_GPIO_PCR1_P12=(v).bPullup; \
                                         bFM0P_GPIO_DDR1_P12=0u; \
                                         bFM0P_GPIO_PFR1_P12=0u; \
                                         bFM0P_GPIO_ADE_AN02=0u; }while(0)


#define GPIO1PIN_P12_INITOUT(v)      do{ bFM0P_GPIO_PDOR1_P12=(v).bInitVal; \
                                         bFM0P_GPIO_DDR1_P12=1u; \
                                         bFM0P_GPIO_PFR1_P12=0u; \
                                         bFM0P_GPIO_ADE_AN02=0u; }while(0)


/*---- GPIO bit NP12 ----*/
#define GPIO1PIN_NP12_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR1_P12)) )

#define GPIO1PIN_NP12_PUT(v)         ( bFM0P_GPIO_PDOR1_P12=(uint32_t)(!(v)) )

#define GPIO1PIN_NP12_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP12_INITIN(v) \
                                                        : GPIO1PIN_NP12_INITOUT(v) )

#define GPIO1PIN_NP12_INITIN(v)      do{ bFM0P_GPIO_PCR1_P12=(v).bPullup; \
                                         bFM0P_GPIO_DDR1_P12=0u; \
                                         bFM0P_GPIO_PFR1_P12=0u; \
                                         bFM0P_GPIO_ADE_AN02=0u; }while(0)


#define GPIO1PIN_NP12_INITOUT(v)     do{ bFM0P_GPIO_PDOR1_P12=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR1_P12=1u; \
                                         bFM0P_GPIO_PFR1_P12=0u; \
                                         bFM0P_GPIO_ADE_AN02=0u; }while(0)


/*---- GPIO bit P13 ----*/

#define GPIO1PIN_P13_GET             ( bFM0P_GPIO_PDIR1_P13 )

#define GPIO1PIN_P13_PUT(v)          ( bFM0P_GPIO_PDOR1_P13=(v) )

#define GPIO1PIN_P13_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P13_INITIN(v) \
                                                        : GPIO1PIN_P13_INITOUT(v) )

#define GPIO1PIN_P13_INITIN(v)       do{ bFM0P_GPIO_PCR1_P13=(v).bPullup; \
                                         bFM0P_GPIO_DDR1_P13=0u; \
                                         bFM0P_GPIO_PFR1_P13=0u; \
                                         bFM0P_GPIO_ADE_AN03=0u; }while(0)


#define GPIO1PIN_P13_INITOUT(v)      do{ bFM0P_GPIO_PDOR1_P13=(v).bInitVal; \
                                         bFM0P_GPIO_DDR1_P13=1u; \
                                         bFM0P_GPIO_PFR1_P13=0u; \
                                         bFM0P_GPIO_ADE_AN03=0u; }while(0)


/*---- GPIO bit NP13 ----*/
#define GPIO1PIN_NP13_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR1_P13)) )

#define GPIO1PIN_NP13_PUT(v)         ( bFM0P_GPIO_PDOR1_P13=(uint32_t)(!(v)) )

#define GPIO1PIN_NP13_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP13_INITIN(v) \
                                                        : GPIO1PIN_NP13_INITOUT(v) )

#define GPIO1PIN_NP13_INITIN(v)      do{ bFM0P_GPIO_PCR1_P13=(v).bPullup; \
                                         bFM0P_GPIO_DDR1_P13=0u; \
                                         bFM0P_GPIO_PFR1_P13=0u; \
                                         bFM0P_GPIO_ADE_AN03=0u; }while(0)


#define GPIO1PIN_NP13_INITOUT(v)     do{ bFM0P_GPIO_PDOR1_P13=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR1_P13=1u; \
                                         bFM0P_GPIO_PFR1_P13=0u; \
                                         bFM0P_GPIO_ADE_AN03=0u; }while(0)


/*---- GPIO bit P14 ----*/

#define GPIO1PIN_P14_GET             ( bFM0P_GPIO_PDIR1_P14 )

#define GPIO1PIN_P14_PUT(v)          ( bFM0P_GPIO_PDOR1_P14=(v) )

#define GPIO1PIN_P14_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P14_INITIN(v) \
                                                        : GPIO1PIN_P14_INITOUT(v) )

#define GPIO1PIN_P14_INITIN(v)       do{ bFM0P_GPIO_PCR1_P14=(v).bPullup; \
                                         bFM0P_GPIO_DDR1_P14=0u; \
                                         bFM0P_GPIO_PFR1_P14=0u; \
                                         bFM0P_GPIO_ADE_AN04=0u; }while(0)


#define GPIO1PIN_P14_INITOUT(v)      do{ bFM0P_GPIO_PDOR1_P14=(v).bInitVal; \
                                         bFM0P_GPIO_DDR1_P14=1u; \
                                         bFM0P_GPIO_PFR1_P14=0u; \
                                         bFM0P_GPIO_ADE_AN04=0u; }while(0)


/*---- GPIO bit NP14 ----*/
#define GPIO1PIN_NP14_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR1_P14)) )

#define GPIO1PIN_NP14_PUT(v)         ( bFM0P_GPIO_PDOR1_P14=(uint32_t)(!(v)) )

#define GPIO1PIN_NP14_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP14_INITIN(v) \
                                                        : GPIO1PIN_NP14_INITOUT(v) )

#define GPIO1PIN_NP14_INITIN(v)      do{ bFM0P_GPIO_PCR1_P14=(v).bPullup; \
                                         bFM0P_GPIO_DDR1_P14=0u; \
                                         bFM0P_GPIO_PFR1_P14=0u; \
                                         bFM0P_GPIO_ADE_AN04=0u; }while(0)


#define GPIO1PIN_NP14_INITOUT(v)     do{ bFM0P_GPIO_PDOR1_P14=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR1_P14=1u; \
                                         bFM0P_GPIO_PFR1_P14=0u; \
                                         bFM0P_GPIO_ADE_AN04=0u; }while(0)


/*---- GPIO bit P15 ----*/

#define GPIO1PIN_P15_GET             ( bFM0P_GPIO_PDIR1_P15 )

#define GPIO1PIN_P15_PUT(v)          ( bFM0P_GPIO_PDOR1_P15=(v) )

#define GPIO1PIN_P15_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P15_INITIN(v) \
                                                        : GPIO1PIN_P15_INITOUT(v) )

#define GPIO1PIN_P15_INITIN(v)       do{ bFM0P_GPIO_PCR1_P15=(v).bPullup; \
                                         bFM0P_GPIO_DDR1_P15=0u; \
                                         bFM0P_GPIO_PFR1_P15=0u; \
                                         bFM0P_GPIO_ADE_AN05=0u; }while(0)


#define GPIO1PIN_P15_INITOUT(v)      do{ bFM0P_GPIO_PDOR1_P15=(v).bInitVal; \
                                         bFM0P_GPIO_DDR1_P15=1u; \
                                         bFM0P_GPIO_PFR1_P15=0u; \
                                         bFM0P_GPIO_ADE_AN05=0u; }while(0)


/*---- GPIO bit NP15 ----*/
#define GPIO1PIN_NP15_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR1_P15)) )

#define GPIO1PIN_NP15_PUT(v)         ( bFM0P_GPIO_PDOR1_P15=(uint32_t)(!(v)) )

#define GPIO1PIN_NP15_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP15_INITIN(v) \
                                                        : GPIO1PIN_NP15_INITOUT(v) )

#define GPIO1PIN_NP15_INITIN(v)      do{ bFM0P_GPIO_PCR1_P15=(v).bPullup; \
                                         bFM0P_GPIO_DDR1_P15=0u; \
                                         bFM0P_GPIO_PFR1_P15=0u; \
                                         bFM0P_GPIO_ADE_AN05=0u; }while(0)


#define GPIO1PIN_NP15_INITOUT(v)     do{ bFM0P_GPIO_PDOR1_P15=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR1_P15=1u; \
                                         bFM0P_GPIO_PFR1_P15=0u; \
                                         bFM0P_GPIO_ADE_AN05=0u; }while(0)


/*---- GPIO bit P21 ----*/

#define GPIO1PIN_P21_GET             ( bFM0P_GPIO_PDIR2_P21 )

#define GPIO1PIN_P21_PUT(v)          ( bFM0P_GPIO_PDOR2_P21=(v) )

#define GPIO1PIN_P21_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P21_INITIN(v) \
                                                        : GPIO1PIN_P21_INITOUT(v) )

#define GPIO1PIN_P21_INITIN(v)       do{ bFM0P_GPIO_PCR2_P21=(v).bPullup; \
                                         bFM0P_GPIO_DDR2_P21=0u; \
                                         bFM0P_GPIO_PFR2_P21=0u; }while(0)

#define GPIO1PIN_P21_INITOUT(v)      do{ bFM0P_GPIO_PDOR2_P21=(v).bInitVal; \
                                         bFM0P_GPIO_DDR2_P21=1u; \
                                         bFM0P_GPIO_PFR2_P21=0u; }while(0)


/*---- GPIO bit NP21 ----*/
#define GPIO1PIN_NP21_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR2_P21)) )

#define GPIO1PIN_NP21_PUT(v)         ( bFM0P_GPIO_PDOR2_P21=(uint32_t)(!(v)) )

#define GPIO1PIN_NP21_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP21_INITIN(v) \
                                                        : GPIO1PIN_NP21_INITOUT(v) )

#define GPIO1PIN_NP21_INITIN(v)      do{ bFM0P_GPIO_PCR2_P21=(v).bPullup; \
                                         bFM0P_GPIO_DDR2_P21=0u; \
                                         bFM0P_GPIO_PFR2_P21=0u; }while(0)

#define GPIO1PIN_NP21_INITOUT(v)     do{ bFM0P_GPIO_PDOR2_P21=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR2_P21=1u; \
                                         bFM0P_GPIO_PFR2_P21=0u; }while(0)


/*---- GPIO bit P22 ----*/

#define GPIO1PIN_P22_GET             ( bFM0P_GPIO_PDIR2_P22 )

#define GPIO1PIN_P22_PUT(v)          ( bFM0P_GPIO_PDOR2_P22=(v) )

#define GPIO1PIN_P22_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P22_INITIN(v) \
                                                        : GPIO1PIN_P22_INITOUT(v) )

#define GPIO1PIN_P22_INITIN(v)       do{ bFM0P_GPIO_PCR2_P22=(v).bPullup; \
                                         bFM0P_GPIO_DDR2_P22=0u; \
                                         bFM0P_GPIO_PFR2_P22=0u; \
                                         bFM0P_GPIO_ADE_AN07=0u; }while(0)


#define GPIO1PIN_P22_INITOUT(v)      do{ bFM0P_GPIO_PDOR2_P22=(v).bInitVal; \
                                         bFM0P_GPIO_DDR2_P22=1u; \
                                         bFM0P_GPIO_PFR2_P22=0u; \
                                         bFM0P_GPIO_ADE_AN07=0u; }while(0)


/*---- GPIO bit NP22 ----*/
#define GPIO1PIN_NP22_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR2_P22)) )

#define GPIO1PIN_NP22_PUT(v)         ( bFM0P_GPIO_PDOR2_P22=(uint32_t)(!(v)) )

#define GPIO1PIN_NP22_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP22_INITIN(v) \
                                                        : GPIO1PIN_NP22_INITOUT(v) )

#define GPIO1PIN_NP22_INITIN(v)      do{ bFM0P_GPIO_PCR2_P22=(v).bPullup; \
                                         bFM0P_GPIO_DDR2_P22=0u; \
                                         bFM0P_GPIO_PFR2_P22=0u; \
                                         bFM0P_GPIO_ADE_AN07=0u; }while(0)


#define GPIO1PIN_NP22_INITOUT(v)     do{ bFM0P_GPIO_PDOR2_P22=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR2_P22=1u; \
                                         bFM0P_GPIO_PFR2_P22=0u; \
                                         bFM0P_GPIO_ADE_AN07=0u; }while(0)


/*---- GPIO bit P23 ----*/

#define GPIO1PIN_P23_GET             ( bFM0P_GPIO_PDIR2_P23 )

#define GPIO1PIN_P23_PUT(v)          ( bFM0P_GPIO_PDOR2_P23=(v) )

#define GPIO1PIN_P23_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P23_INITIN(v) \
                                                        : GPIO1PIN_P23_INITOUT(v) )

#define GPIO1PIN_P23_INITIN(v)       do{ bFM0P_GPIO_PCR2_P23=(v).bPullup; \
                                         bFM0P_GPIO_DDR2_P23=0u; \
                                         bFM0P_GPIO_PFR2_P23=0u; \
                                         bFM0P_GPIO_ADE_AN06=0u; }while(0)


#define GPIO1PIN_P23_INITOUT(v)      do{ bFM0P_GPIO_PDOR2_P23=(v).bInitVal; \
                                         bFM0P_GPIO_DDR2_P23=1u; \
                                         bFM0P_GPIO_PFR2_P23=0u; \
                                         bFM0P_GPIO_ADE_AN06=0u; }while(0)


/*---- GPIO bit NP23 ----*/
#define GPIO1PIN_NP23_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR2_P23)) )

#define GPIO1PIN_NP23_PUT(v)         ( bFM0P_GPIO_PDOR2_P23=(uint32_t)(!(v)) )

#define GPIO1PIN_NP23_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP23_INITIN(v) \
                                                        : GPIO1PIN_NP23_INITOUT(v) )

#define GPIO1PIN_NP23_INITIN(v)      do{ bFM0P_GPIO_PCR2_P23=(v).bPullup; \
                                         bFM0P_GPIO_DDR2_P23=0u; \
                                         bFM0P_GPIO_PFR2_P23=0u; \
                                         bFM0P_GPIO_ADE_AN06=0u; }while(0)


#define GPIO1PIN_NP23_INITOUT(v)     do{ bFM0P_GPIO_PDOR2_P23=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR2_P23=1u; \
                                         bFM0P_GPIO_PFR2_P23=0u; \
                                         bFM0P_GPIO_ADE_AN06=0u; }while(0)


/*---- GPIO bit P39 ----*/

#define GPIO1PIN_P39_GET             ( bFM0P_GPIO_PDIR3_P39 )

#define GPIO1PIN_P39_PUT(v)          ( bFM0P_GPIO_PDOR3_P39=(v) )

#define GPIO1PIN_P39_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P39_INITIN(v) \
                                                        : GPIO1PIN_P39_INITOUT(v) )

#define GPIO1PIN_P39_INITIN(v)       do{ bFM0P_GPIO_PCR3_P39=(v).bPullup; \
                                         bFM0P_GPIO_DDR3_P39=0u; \
                                         bFM0P_GPIO_PFR3_P39=0u; }while(0)

#define GPIO1PIN_P39_INITOUT(v)      do{ bFM0P_GPIO_PDOR3_P39=(v).bInitVal; \
                                         bFM0P_GPIO_DDR3_P39=1u; \
                                         bFM0P_GPIO_PFR3_P39=0u; }while(0)


/*---- GPIO bit NP39 ----*/
#define GPIO1PIN_NP39_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR3_P39)) )

#define GPIO1PIN_NP39_PUT(v)         ( bFM0P_GPIO_PDOR3_P39=(uint32_t)(!(v)) )

#define GPIO1PIN_NP39_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP39_INITIN(v) \
                                                        : GPIO1PIN_NP39_INITOUT(v) )

#define GPIO1PIN_NP39_INITIN(v)      do{ bFM0P_GPIO_PCR3_P39=(v).bPullup; \
                                         bFM0P_GPIO_DDR3_P39=0u; \
                                         bFM0P_GPIO_PFR3_P39=0u; }while(0)

#define GPIO1PIN_NP39_INITOUT(v)     do{ bFM0P_GPIO_PDOR3_P39=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR3_P39=1u; \
                                         bFM0P_GPIO_PFR3_P39=0u; }while(0)


/*---- GPIO bit P3A ----*/

#define GPIO1PIN_P3A_GET             ( bFM0P_GPIO_PDIR3_P3A )

#define GPIO1PIN_P3A_PUT(v)          ( bFM0P_GPIO_PDOR3_P3A=(v) )

#define GPIO1PIN_P3A_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P3A_INITIN(v) \
                                                        : GPIO1PIN_P3A_INITOUT(v) )

#define GPIO1PIN_P3A_INITIN(v)       do{ bFM0P_GPIO_PCR3_P3A=(v).bPullup; \
                                         bFM0P_GPIO_DDR3_P3A=0u; \
                                         bFM0P_GPIO_PFR3_P3A=0u; }while(0)

#define GPIO1PIN_P3A_INITOUT(v)      do{ bFM0P_GPIO_PDOR3_P3A=(v).bInitVal; \
                                         bFM0P_GPIO_DDR3_P3A=1u; \
                                         bFM0P_GPIO_PFR3_P3A=0u; }while(0)


/*---- GPIO bit NP3A ----*/
#define GPIO1PIN_NP3A_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR3_P3A)) )

#define GPIO1PIN_NP3A_PUT(v)         ( bFM0P_GPIO_PDOR3_P3A=(uint32_t)(!(v)) )

#define GPIO1PIN_NP3A_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP3A_INITIN(v) \
                                                        : GPIO1PIN_NP3A_INITOUT(v) )

#define GPIO1PIN_NP3A_INITIN(v)      do{ bFM0P_GPIO_PCR3_P3A=(v).bPullup; \
                                         bFM0P_GPIO_DDR3_P3A=0u; \
                                         bFM0P_GPIO_PFR3_P3A=0u; }while(0)

#define GPIO1PIN_NP3A_INITOUT(v)     do{ bFM0P_GPIO_PDOR3_P3A=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR3_P3A=1u; \
                                         bFM0P_GPIO_PFR3_P3A=0u; }while(0)


/*---- GPIO bit P3B ----*/

#define GPIO1PIN_P3B_GET             ( bFM0P_GPIO_PDIR3_P3B )

#define GPIO1PIN_P3B_PUT(v)          ( bFM0P_GPIO_PDOR3_P3B=(v) )

#define GPIO1PIN_P3B_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P3B_INITIN(v) \
                                                        : GPIO1PIN_P3B_INITOUT(v) )

#define GPIO1PIN_P3B_INITIN(v)       do{ bFM0P_GPIO_PCR3_P3B=(v).bPullup; \
                                         bFM0P_GPIO_DDR3_P3B=0u; \
                                         bFM0P_GPIO_PFR3_P3B=0u; }while(0)

#define GPIO1PIN_P3B_INITOUT(v)      do{ bFM0P_GPIO_PDOR3_P3B=(v).bInitVal; \
                                         bFM0P_GPIO_DDR3_P3B=1u; \
                                         bFM0P_GPIO_PFR3_P3B=0u; }while(0)


/*---- GPIO bit NP3B ----*/
#define GPIO1PIN_NP3B_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR3_P3B)) )

#define GPIO1PIN_NP3B_PUT(v)         ( bFM0P_GPIO_PDOR3_P3B=(uint32_t)(!(v)) )

#define GPIO1PIN_NP3B_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP3B_INITIN(v) \
                                                        : GPIO1PIN_NP3B_INITOUT(v) )

#define GPIO1PIN_NP3B_INITIN(v)      do{ bFM0P_GPIO_PCR3_P3B=(v).bPullup; \
                                         bFM0P_GPIO_DDR3_P3B=0u; \
                                         bFM0P_GPIO_PFR3_P3B=0u; }while(0)

#define GPIO1PIN_NP3B_INITOUT(v)     do{ bFM0P_GPIO_PDOR3_P3B=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR3_P3B=1u; \
                                         bFM0P_GPIO_PFR3_P3B=0u; }while(0)


/*---- GPIO bit P3C ----*/

#define GPIO1PIN_P3C_GET             ( bFM0P_GPIO_PDIR3_P3C )

#define GPIO1PIN_P3C_PUT(v)          ( bFM0P_GPIO_PDOR3_P3C=(v) )

#define GPIO1PIN_P3C_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P3C_INITIN(v) \
                                                        : GPIO1PIN_P3C_INITOUT(v) )

#define GPIO1PIN_P3C_INITIN(v)       do{ bFM0P_GPIO_PCR3_P3C=(v).bPullup; \
                                         bFM0P_GPIO_DDR3_P3C=0u; \
                                         bFM0P_GPIO_PFR3_P3C=0u; }while(0)

#define GPIO1PIN_P3C_INITOUT(v)      do{ bFM0P_GPIO_PDOR3_P3C=(v).bInitVal; \
                                         bFM0P_GPIO_DDR3_P3C=1u; \
                                         bFM0P_GPIO_PFR3_P3C=0u; }while(0)


/*---- GPIO bit NP3C ----*/
#define GPIO1PIN_NP3C_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR3_P3C)) )

#define GPIO1PIN_NP3C_PUT(v)         ( bFM0P_GPIO_PDOR3_P3C=(uint32_t)(!(v)) )

#define GPIO1PIN_NP3C_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP3C_INITIN(v) \
                                                        : GPIO1PIN_NP3C_INITOUT(v) )

#define GPIO1PIN_NP3C_INITIN(v)      do{ bFM0P_GPIO_PCR3_P3C=(v).bPullup; \
                                         bFM0P_GPIO_DDR3_P3C=0u; \
                                         bFM0P_GPIO_PFR3_P3C=0u; }while(0)

#define GPIO1PIN_NP3C_INITOUT(v)     do{ bFM0P_GPIO_PDOR3_P3C=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR3_P3C=1u; \
                                         bFM0P_GPIO_PFR3_P3C=0u; }while(0)


/*---- GPIO bit P3D ----*/

#define GPIO1PIN_P3D_GET             ( bFM0P_GPIO_PDIR3_P3D )

#define GPIO1PIN_P3D_PUT(v)          ( bFM0P_GPIO_PDOR3_P3D=(v) )

#define GPIO1PIN_P3D_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P3D_INITIN(v) \
                                                        : GPIO1PIN_P3D_INITOUT(v) )

#define GPIO1PIN_P3D_INITIN(v)       do{ bFM0P_GPIO_PCR3_P3D=(v).bPullup; \
                                         bFM0P_GPIO_DDR3_P3D=0u; \
                                         bFM0P_GPIO_PFR3_P3D=0u; }while(0)

#define GPIO1PIN_P3D_INITOUT(v)      do{ bFM0P_GPIO_PDOR3_P3D=(v).bInitVal; \
                                         bFM0P_GPIO_DDR3_P3D=1u; \
                                         bFM0P_GPIO_PFR3_P3D=0u; }while(0)


/*---- GPIO bit NP3D ----*/
#define GPIO1PIN_NP3D_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR3_P3D)) )

#define GPIO1PIN_NP3D_PUT(v)         ( bFM0P_GPIO_PDOR3_P3D=(uint32_t)(!(v)) )

#define GPIO1PIN_NP3D_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP3D_INITIN(v) \
                                                        : GPIO1PIN_NP3D_INITOUT(v) )

#define GPIO1PIN_NP3D_INITIN(v)      do{ bFM0P_GPIO_PCR3_P3D=(v).bPullup; \
                                         bFM0P_GPIO_DDR3_P3D=0u; \
                                         bFM0P_GPIO_PFR3_P3D=0u; }while(0)

#define GPIO1PIN_NP3D_INITOUT(v)     do{ bFM0P_GPIO_PDOR3_P3D=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR3_P3D=1u; \
                                         bFM0P_GPIO_PFR3_P3D=0u; }while(0)


/*---- GPIO bit P3E ----*/

#define GPIO1PIN_P3E_GET             ( bFM0P_GPIO_PDIR3_P3E )

#define GPIO1PIN_P3E_PUT(v)          ( bFM0P_GPIO_PDOR3_P3E=(v) )

#define GPIO1PIN_P3E_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P3E_INITIN(v) \
                                                        : GPIO1PIN_P3E_INITOUT(v) )

#define GPIO1PIN_P3E_INITIN(v)       do{ bFM0P_GPIO_PCR3_P3E=(v).bPullup; \
                                         bFM0P_GPIO_DDR3_P3E=0u; \
                                         bFM0P_GPIO_PFR3_P3E=0u; }while(0)

#define GPIO1PIN_P3E_INITOUT(v)      do{ bFM0P_GPIO_PDOR3_P3E=(v).bInitVal; \
                                         bFM0P_GPIO_DDR3_P3E=1u; \
                                         bFM0P_GPIO_PFR3_P3E=0u; }while(0)


/*---- GPIO bit NP3E ----*/
#define GPIO1PIN_NP3E_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR3_P3E)) )

#define GPIO1PIN_NP3E_PUT(v)         ( bFM0P_GPIO_PDOR3_P3E=(uint32_t)(!(v)) )

#define GPIO1PIN_NP3E_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP3E_INITIN(v) \
                                                        : GPIO1PIN_NP3E_INITOUT(v) )

#define GPIO1PIN_NP3E_INITIN(v)      do{ bFM0P_GPIO_PCR3_P3E=(v).bPullup; \
                                         bFM0P_GPIO_DDR3_P3E=0u; \
                                         bFM0P_GPIO_PFR3_P3E=0u; }while(0)

#define GPIO1PIN_NP3E_INITOUT(v)     do{ bFM0P_GPIO_PDOR3_P3E=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR3_P3E=1u; \
                                         bFM0P_GPIO_PFR3_P3E=0u; }while(0)


/*---- GPIO bit P3F ----*/

#define GPIO1PIN_P3F_GET             ( bFM0P_GPIO_PDIR3_P3F )

#define GPIO1PIN_P3F_PUT(v)          ( bFM0P_GPIO_PDOR3_P3F=(v) )

#define GPIO1PIN_P3F_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P3F_INITIN(v) \
                                                        : GPIO1PIN_P3F_INITOUT(v) )

#define GPIO1PIN_P3F_INITIN(v)       do{ bFM0P_GPIO_PCR3_P3F=(v).bPullup; \
                                         bFM0P_GPIO_DDR3_P3F=0u; \
                                         bFM0P_GPIO_PFR3_P3F=0u; }while(0)

#define GPIO1PIN_P3F_INITOUT(v)      do{ bFM0P_GPIO_PDOR3_P3F=(v).bInitVal; \
                                         bFM0P_GPIO_DDR3_P3F=1u; \
                                         bFM0P_GPIO_PFR3_P3F=0u; }while(0)


/*---- GPIO bit NP3F ----*/
#define GPIO1PIN_NP3F_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR3_P3F)) )

#define GPIO1PIN_NP3F_PUT(v)         ( bFM0P_GPIO_PDOR3_P3F=(uint32_t)(!(v)) )

#define GPIO1PIN_NP3F_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP3F_INITIN(v) \
                                                        : GPIO1PIN_NP3F_INITOUT(v) )

#define GPIO1PIN_NP3F_INITIN(v)      do{ bFM0P_GPIO_PCR3_P3F=(v).bPullup; \
                                         bFM0P_GPIO_DDR3_P3F=0u; \
                                         bFM0P_GPIO_PFR3_P3F=0u; }while(0)

#define GPIO1PIN_NP3F_INITOUT(v)     do{ bFM0P_GPIO_PDOR3_P3F=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR3_P3F=1u; \
                                         bFM0P_GPIO_PFR3_P3F=0u; }while(0)


/*---- GPIO bit P46 ----*/

#define GPIO1PIN_P46_GET             ( bFM0P_GPIO_PDIR4_P46 )

#define GPIO1PIN_P46_PUT(v)          ( bFM0P_GPIO_PDOR4_P46=(v) )

#define GPIO1PIN_P46_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P46_INITIN(v) \
                                                        : GPIO1PIN_P46_INITOUT(v) )

#define GPIO1PIN_P46_INITIN(v)       do{ bFM0P_GPIO_PCR4_P46=(v).bPullup; \
                                         bFM0P_GPIO_DDR4_P46=0u; \
                                         bFM0P_GPIO_SPSR_SUBXC0=0u; \
                                         bFM0P_GPIO_SPSR_SUBXC1=0u; \
                                         bFM0P_GPIO_PFR4_P46=0u; }while(0)

#define GPIO1PIN_P46_INITOUT(v)      do{ bFM0P_GPIO_PDOR4_P46=(v).bInitVal; \
                                         bFM0P_GPIO_DDR4_P46=1u; \
                                         bFM0P_GPIO_SPSR_SUBXC0=0u; \
                                         bFM0P_GPIO_SPSR_SUBXC1=0u; \
                                         bFM0P_GPIO_PFR4_P46=0u; }while(0)


/*---- GPIO bit NP46 ----*/
#define GPIO1PIN_NP46_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR4_P46)) )

#define GPIO1PIN_NP46_PUT(v)         ( bFM0P_GPIO_PDOR4_P46=(uint32_t)(!(v)) )

#define GPIO1PIN_NP46_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP46_INITIN(v) \
                                                        : GPIO1PIN_NP46_INITOUT(v) )

#define GPIO1PIN_NP46_INITIN(v)      do{ bFM0P_GPIO_PCR4_P46=(v).bPullup; \
                                         bFM0P_GPIO_DDR4_P46=0u; \
                                         bFM0P_GPIO_SPSR_SUBXC0=0u; \
                                         bFM0P_GPIO_SPSR_SUBXC1=0u; \
                                         bFM0P_GPIO_PFR4_P46=0u; }while(0)

#define GPIO1PIN_NP46_INITOUT(v)     do{ bFM0P_GPIO_PDOR4_P46=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR4_P46=1u; \
                                         bFM0P_GPIO_SPSR_SUBXC0=0u; \
                                         bFM0P_GPIO_SPSR_SUBXC1=0u; \
                                         bFM0P_GPIO_PFR4_P46=0u; }while(0)


/*---- GPIO bit P47 ----*/

#define GPIO1PIN_P47_GET             ( bFM0P_GPIO_PDIR4_P47 )

#define GPIO1PIN_P47_PUT(v)          ( bFM0P_GPIO_PDOR4_P47=(v) )

#define GPIO1PIN_P47_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P47_INITIN(v) \
                                                        : GPIO1PIN_P47_INITOUT(v) )

#define GPIO1PIN_P47_INITIN(v)       do{ bFM0P_GPIO_PCR4_P47=(v).bPullup; \
                                         bFM0P_GPIO_DDR4_P47=0u; \
                                         bFM0P_GPIO_SPSR_SUBXC0=0u; \
                                         bFM0P_GPIO_SPSR_SUBXC1=0u; \
                                         bFM0P_GPIO_PFR4_P47=0u; }while(0)

#define GPIO1PIN_P47_INITOUT(v)      do{ bFM0P_GPIO_PDOR4_P47=(v).bInitVal; \
                                         bFM0P_GPIO_DDR4_P47=1u; \
                                         bFM0P_GPIO_SPSR_SUBXC0=0u; \
                                         bFM0P_GPIO_SPSR_SUBXC1=0u; \
                                         bFM0P_GPIO_PFR4_P47=0u; }while(0)


/*---- GPIO bit NP47 ----*/
#define GPIO1PIN_NP47_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR4_P47)) )

#define GPIO1PIN_NP47_PUT(v)         ( bFM0P_GPIO_PDOR4_P47=(uint32_t)(!(v)) )

#define GPIO1PIN_NP47_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP47_INITIN(v) \
                                                        : GPIO1PIN_NP47_INITOUT(v) )

#define GPIO1PIN_NP47_INITIN(v)      do{ bFM0P_GPIO_PCR4_P47=(v).bPullup; \
                                         bFM0P_GPIO_DDR4_P47=0u; \
                                         bFM0P_GPIO_SPSR_SUBXC0=0u; \
                                         bFM0P_GPIO_SPSR_SUBXC1=0u; \
                                         bFM0P_GPIO_PFR4_P47=0u; }while(0)

#define GPIO1PIN_NP47_INITOUT(v)     do{ bFM0P_GPIO_PDOR4_P47=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR4_P47=1u; \
                                         bFM0P_GPIO_SPSR_SUBXC0=0u; \
                                         bFM0P_GPIO_SPSR_SUBXC1=0u; \
                                         bFM0P_GPIO_PFR4_P47=0u; }while(0)


/*---- GPIO bit P49 ----*/

#define GPIO1PIN_P49_GET             ( bFM0P_GPIO_PDIR4_P49 )

#define GPIO1PIN_P49_PUT(v)          ( bFM0P_GPIO_PDOR4_P49=(v) )

#define GPIO1PIN_P49_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P49_INITIN(v) \
                                                        : GPIO1PIN_P49_INITOUT(v) )

#define GPIO1PIN_P49_INITIN(v)       do{ bFM0P_GPIO_PCR4_P49=(v).bPullup; \
                                         bFM0P_GPIO_DDR4_P49=0u; \
                                         bFM0P_GPIO_PFR4_P49=0u; }while(0)

#define GPIO1PIN_P49_INITOUT(v)      do{ bFM0P_GPIO_PDOR4_P49=(v).bInitVal; \
                                         bFM0P_GPIO_DDR4_P49=1u; \
                                         bFM0P_GPIO_PFR4_P49=0u; }while(0)


/*---- GPIO bit NP49 ----*/
#define GPIO1PIN_NP49_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR4_P49)) )

#define GPIO1PIN_NP49_PUT(v)         ( bFM0P_GPIO_PDOR4_P49=(uint32_t)(!(v)) )

#define GPIO1PIN_NP49_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP49_INITIN(v) \
                                                        : GPIO1PIN_NP49_INITOUT(v) )

#define GPIO1PIN_NP49_INITIN(v)      do{ bFM0P_GPIO_PCR4_P49=(v).bPullup; \
                                         bFM0P_GPIO_DDR4_P49=0u; \
                                         bFM0P_GPIO_PFR4_P49=0u; }while(0)

#define GPIO1PIN_NP49_INITOUT(v)     do{ bFM0P_GPIO_PDOR4_P49=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR4_P49=1u; \
                                         bFM0P_GPIO_PFR4_P49=0u; }while(0)


/*---- GPIO bit P4A ----*/

#define GPIO1PIN_P4A_GET             ( bFM0P_GPIO_PDIR4_P4A )

#define GPIO1PIN_P4A_PUT(v)          ( bFM0P_GPIO_PDOR4_P4A=(v) )

#define GPIO1PIN_P4A_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P4A_INITIN(v) \
                                                        : GPIO1PIN_P4A_INITOUT(v) )

#define GPIO1PIN_P4A_INITIN(v)       do{ bFM0P_GPIO_PCR4_P4A=(v).bPullup; \
                                         bFM0P_GPIO_DDR4_P4A=0u; \
                                         bFM0P_GPIO_PFR4_P4A=0u; }while(0)

#define GPIO1PIN_P4A_INITOUT(v)      do{ bFM0P_GPIO_PDOR4_P4A=(v).bInitVal; \
                                         bFM0P_GPIO_DDR4_P4A=1u; \
                                         bFM0P_GPIO_PFR4_P4A=0u; }while(0)


/*---- GPIO bit NP4A ----*/
#define GPIO1PIN_NP4A_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR4_P4A)) )

#define GPIO1PIN_NP4A_PUT(v)         ( bFM0P_GPIO_PDOR4_P4A=(uint32_t)(!(v)) )

#define GPIO1PIN_NP4A_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP4A_INITIN(v) \
                                                        : GPIO1PIN_NP4A_INITOUT(v) )

#define GPIO1PIN_NP4A_INITIN(v)      do{ bFM0P_GPIO_PCR4_P4A=(v).bPullup; \
                                         bFM0P_GPIO_DDR4_P4A=0u; \
                                         bFM0P_GPIO_PFR4_P4A=0u; }while(0)

#define GPIO1PIN_NP4A_INITOUT(v)     do{ bFM0P_GPIO_PDOR4_P4A=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR4_P4A=1u; \
                                         bFM0P_GPIO_PFR4_P4A=0u; }while(0)


/*---- GPIO bit P50 ----*/

#define GPIO1PIN_P50_GET             ( bFM0P_GPIO_PDIR5_P50 )

#define GPIO1PIN_P50_PUT(v)          ( bFM0P_GPIO_PDOR5_P50=(v) )

#define GPIO1PIN_P50_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P50_INITIN(v) \
                                                        : GPIO1PIN_P50_INITOUT(v) )

#define GPIO1PIN_P50_INITIN(v)       do{ bFM0P_GPIO_PCR5_P50=(v).bPullup; \
                                         bFM0P_GPIO_DDR5_P50=0u; \
                                         bFM0P_GPIO_PFR5_P50=0u; }while(0)

#define GPIO1PIN_P50_INITOUT(v)      do{ bFM0P_GPIO_PDOR5_P50=(v).bInitVal; \
                                         bFM0P_GPIO_DDR5_P50=1u; \
                                         bFM0P_GPIO_PFR5_P50=0u; }while(0)


/*---- GPIO bit NP50 ----*/
#define GPIO1PIN_NP50_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR5_P50)) )

#define GPIO1PIN_NP50_PUT(v)         ( bFM0P_GPIO_PDOR5_P50=(uint32_t)(!(v)) )

#define GPIO1PIN_NP50_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP50_INITIN(v) \
                                                        : GPIO1PIN_NP50_INITOUT(v) )

#define GPIO1PIN_NP50_INITIN(v)      do{ bFM0P_GPIO_PCR5_P50=(v).bPullup; \
                                         bFM0P_GPIO_DDR5_P50=0u; \
                                         bFM0P_GPIO_PFR5_P50=0u; }while(0)

#define GPIO1PIN_NP50_INITOUT(v)     do{ bFM0P_GPIO_PDOR5_P50=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR5_P50=1u; \
                                         bFM0P_GPIO_PFR5_P50=0u; }while(0)


/*---- GPIO bit P51 ----*/

#define GPIO1PIN_P51_GET             ( bFM0P_GPIO_PDIR5_P51 )

#define GPIO1PIN_P51_PUT(v)          ( bFM0P_GPIO_PDOR5_P51=(v) )

#define GPIO1PIN_P51_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P51_INITIN(v) \
                                                        : GPIO1PIN_P51_INITOUT(v) )

#define GPIO1PIN_P51_INITIN(v)       do{ bFM0P_GPIO_PCR5_P51=(v).bPullup; \
                                         bFM0P_GPIO_DDR5_P51=0u; \
                                         bFM0P_GPIO_PFR5_P51=0u; }while(0)

#define GPIO1PIN_P51_INITOUT(v)      do{ bFM0P_GPIO_PDOR5_P51=(v).bInitVal; \
                                         bFM0P_GPIO_DDR5_P51=1u; \
                                         bFM0P_GPIO_PFR5_P51=0u; }while(0)


/*---- GPIO bit NP51 ----*/
#define GPIO1PIN_NP51_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR5_P51)) )

#define GPIO1PIN_NP51_PUT(v)         ( bFM0P_GPIO_PDOR5_P51=(uint32_t)(!(v)) )

#define GPIO1PIN_NP51_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP51_INITIN(v) \
                                                        : GPIO1PIN_NP51_INITOUT(v) )

#define GPIO1PIN_NP51_INITIN(v)      do{ bFM0P_GPIO_PCR5_P51=(v).bPullup; \
                                         bFM0P_GPIO_DDR5_P51=0u; \
                                         bFM0P_GPIO_PFR5_P51=0u; }while(0)

#define GPIO1PIN_NP51_INITOUT(v)     do{ bFM0P_GPIO_PDOR5_P51=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR5_P51=1u; \
                                         bFM0P_GPIO_PFR5_P51=0u; }while(0)


/*---- GPIO bit P52 ----*/

#define GPIO1PIN_P52_GET             ( bFM0P_GPIO_PDIR5_P52 )

#define GPIO1PIN_P52_PUT(v)          ( bFM0P_GPIO_PDOR5_P52=(v) )

#define GPIO1PIN_P52_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P52_INITIN(v) \
                                                        : GPIO1PIN_P52_INITOUT(v) )

#define GPIO1PIN_P52_INITIN(v)       do{ bFM0P_GPIO_PCR5_P52=(v).bPullup; \
                                         bFM0P_GPIO_DDR5_P52=0u; \
                                         bFM0P_GPIO_PFR5_P52=0u; }while(0)

#define GPIO1PIN_P52_INITOUT(v)      do{ bFM0P_GPIO_PDOR5_P52=(v).bInitVal; \
                                         bFM0P_GPIO_DDR5_P52=1u; \
                                         bFM0P_GPIO_PFR5_P52=0u; }while(0)


/*---- GPIO bit NP52 ----*/
#define GPIO1PIN_NP52_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR5_P52)) )

#define GPIO1PIN_NP52_PUT(v)         ( bFM0P_GPIO_PDOR5_P52=(uint32_t)(!(v)) )

#define GPIO1PIN_NP52_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP52_INITIN(v) \
                                                        : GPIO1PIN_NP52_INITOUT(v) )

#define GPIO1PIN_NP52_INITIN(v)      do{ bFM0P_GPIO_PCR5_P52=(v).bPullup; \
                                         bFM0P_GPIO_DDR5_P52=0u; \
                                         bFM0P_GPIO_PFR5_P52=0u; }while(0)

#define GPIO1PIN_NP52_INITOUT(v)     do{ bFM0P_GPIO_PDOR5_P52=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR5_P52=1u; \
                                         bFM0P_GPIO_PFR5_P52=0u; }while(0)


/*---- GPIO bit P60 ----*/

#define GPIO1PIN_P60_GET             ( bFM0P_GPIO_PDIR6_P60 )

#define GPIO1PIN_P60_PUT(v)          ( bFM0P_GPIO_PDOR6_P60=(v) )

#define GPIO1PIN_P60_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P60_INITIN(v) \
                                                        : GPIO1PIN_P60_INITOUT(v) )

#define GPIO1PIN_P60_INITIN(v)       do{ bFM0P_GPIO_PCR6_P60=(v).bPullup; \
                                         bFM0P_GPIO_DDR6_P60=0u; \
                                         bFM0P_GPIO_PFR6_P60=0u; }while(0)

#define GPIO1PIN_P60_INITOUT(v)      do{ bFM0P_GPIO_PDOR6_P60=(v).bInitVal; \
                                         bFM0P_GPIO_DDR6_P60=1u; \
                                         bFM0P_GPIO_PFR6_P60=0u; }while(0)


/*---- GPIO bit NP60 ----*/
#define GPIO1PIN_NP60_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR6_P60)) )

#define GPIO1PIN_NP60_PUT(v)         ( bFM0P_GPIO_PDOR6_P60=(uint32_t)(!(v)) )

#define GPIO1PIN_NP60_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP60_INITIN(v) \
                                                        : GPIO1PIN_NP60_INITOUT(v) )

#define GPIO1PIN_NP60_INITIN(v)      do{ bFM0P_GPIO_PCR6_P60=(v).bPullup; \
                                         bFM0P_GPIO_DDR6_P60=0u; \
                                         bFM0P_GPIO_PFR6_P60=0u; }while(0)

#define GPIO1PIN_NP60_INITOUT(v)     do{ bFM0P_GPIO_PDOR6_P60=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR6_P60=1u; \
                                         bFM0P_GPIO_PFR6_P60=0u; }while(0)


/*---- GPIO bit P61 ----*/

#define GPIO1PIN_P61_GET             ( bFM0P_GPIO_PDIR6_P61 )

#define GPIO1PIN_P61_PUT(v)          ( bFM0P_GPIO_PDOR6_P61=(v) )

#define GPIO1PIN_P61_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P61_INITIN(v) \
                                                        : GPIO1PIN_P61_INITOUT(v) )

#define GPIO1PIN_P61_INITIN(v)       do{ bFM0P_GPIO_PCR6_P61=(v).bPullup; \
                                         bFM0P_GPIO_DDR6_P61=0u; \
                                         bFM0P_GPIO_PFR6_P61=0u; }while(0)

#define GPIO1PIN_P61_INITOUT(v)      do{ bFM0P_GPIO_PDOR6_P61=(v).bInitVal; \
                                         bFM0P_GPIO_DDR6_P61=1u; \
                                         bFM0P_GPIO_PFR6_P61=0u; }while(0)


/*---- GPIO bit NP61 ----*/
#define GPIO1PIN_NP61_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR6_P61)) )

#define GPIO1PIN_NP61_PUT(v)         ( bFM0P_GPIO_PDOR6_P61=(uint32_t)(!(v)) )

#define GPIO1PIN_NP61_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP61_INITIN(v) \
                                                        : GPIO1PIN_NP61_INITOUT(v) )

#define GPIO1PIN_NP61_INITIN(v)      do{ bFM0P_GPIO_PCR6_P61=(v).bPullup; \
                                         bFM0P_GPIO_DDR6_P61=0u; \
                                         bFM0P_GPIO_PFR6_P61=0u; }while(0)

#define GPIO1PIN_NP61_INITOUT(v)     do{ bFM0P_GPIO_PDOR6_P61=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR6_P61=1u; \
                                         bFM0P_GPIO_PFR6_P61=0u; }while(0)


/*---- GPIO bit P80 ----*/

#define GPIO1PIN_P80_GET             ( bFM0P_GPIO_PDIR8_P80 )

#define GPIO1PIN_P80_PUT(v)          ( bFM0P_GPIO_PDOR8_P80=(v) )

#define GPIO1PIN_P80_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P80_INITIN(v) \
                                                        : GPIO1PIN_P80_INITOUT(v) )

#define GPIO1PIN_P80_INITIN(v)       do{ bFM0P_GPIO_PCR8_P80=(v).bPullup; \
                                         bFM0P_GPIO_DDR8_P80=0u; \
                                         bFM0P_GPIO_PFR8_P80=0u; }while(0)

#define GPIO1PIN_P80_INITOUT(v)      do{ bFM0P_GPIO_PDOR8_P80=(v).bInitVal; \
                                         bFM0P_GPIO_DDR8_P80=1u; \
                                         bFM0P_GPIO_PFR8_P80=0u; }while(0)


/*---- GPIO bit NP80 ----*/
#define GPIO1PIN_NP80_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR8_P80)) )

#define GPIO1PIN_NP80_PUT(v)         ( bFM0P_GPIO_PDOR8_P80=(uint32_t)(!(v)) )

#define GPIO1PIN_NP80_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP80_INITIN(v) \
                                                        : GPIO1PIN_NP80_INITOUT(v) )

#define GPIO1PIN_NP80_INITIN(v)      do{ bFM0P_GPIO_PCR8_P80=(v).bPullup; \
                                         bFM0P_GPIO_DDR8_P80=0u; \
                                         bFM0P_GPIO_PFR8_P80=0u; }while(0)

#define GPIO1PIN_NP80_INITOUT(v)     do{ bFM0P_GPIO_PDOR8_P80=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR8_P80=1u; \
                                         bFM0P_GPIO_PFR8_P80=0u; }while(0)


/*---- GPIO bit P81 ----*/

#define GPIO1PIN_P81_GET             ( bFM0P_GPIO_PDIR8_P81 )

#define GPIO1PIN_P81_PUT(v)          ( bFM0P_GPIO_PDOR8_P81=(v) )

#define GPIO1PIN_P81_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P81_INITIN(v) \
                                                        : GPIO1PIN_P81_INITOUT(v) )

#define GPIO1PIN_P81_INITIN(v)       do{ bFM0P_GPIO_PCR8_P81=(v).bPullup; \
                                         bFM0P_GPIO_DDR8_P81=0u; \
                                         bFM0P_GPIO_PFR8_P81=0u; }while(0)

#define GPIO1PIN_P81_INITOUT(v)      do{ bFM0P_GPIO_PDOR8_P81=(v).bInitVal; \
                                         bFM0P_GPIO_DDR8_P81=1u; \
                                         bFM0P_GPIO_PFR8_P81=0u; }while(0)


/*---- GPIO bit NP81 ----*/
#define GPIO1PIN_NP81_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR8_P81)) )

#define GPIO1PIN_NP81_PUT(v)         ( bFM0P_GPIO_PDOR8_P81=(uint32_t)(!(v)) )

#define GPIO1PIN_NP81_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP81_INITIN(v) \
                                                        : GPIO1PIN_NP81_INITOUT(v) )

#define GPIO1PIN_NP81_INITIN(v)      do{ bFM0P_GPIO_PCR8_P81=(v).bPullup; \
                                         bFM0P_GPIO_DDR8_P81=0u; \
                                         bFM0P_GPIO_PFR8_P81=0u; }while(0)

#define GPIO1PIN_NP81_INITOUT(v)     do{ bFM0P_GPIO_PDOR8_P81=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR8_P81=1u; \
                                         bFM0P_GPIO_PFR8_P81=0u; }while(0)


/*---- GPIO bit P82 ----*/

#define GPIO1PIN_P82_GET             ( bFM0P_GPIO_PDIR8_P82 )

#define GPIO1PIN_P82_PUT(v)          ( bFM0P_GPIO_PDOR8_P82=(v) )

#define GPIO1PIN_P82_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_P82_INITIN(v) \
                                                        : GPIO1PIN_P82_INITOUT(v) )

#define GPIO1PIN_P82_INITIN(v)       do{ bFM0P_GPIO_PCR8_P82=(v).bPullup; \
                                         bFM0P_GPIO_DDR8_P82=0u; \
                                         bFM0P_GPIO_PFR8_P82=0u; }while(0)

#define GPIO1PIN_P82_INITOUT(v)      do{ bFM0P_GPIO_PDOR8_P82=(v).bInitVal; \
                                         bFM0P_GPIO_DDR8_P82=1u; \
                                         bFM0P_GPIO_PFR8_P82=0u; }while(0)


/*---- GPIO bit NP82 ----*/
#define GPIO1PIN_NP82_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIR8_P82)) )

#define GPIO1PIN_NP82_PUT(v)         ( bFM0P_GPIO_PDOR8_P82=(uint32_t)(!(v)) )

#define GPIO1PIN_NP82_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NP82_INITIN(v) \
                                                        : GPIO1PIN_NP82_INITOUT(v) )

#define GPIO1PIN_NP82_INITIN(v)      do{ bFM0P_GPIO_PCR8_P82=(v).bPullup; \
                                         bFM0P_GPIO_DDR8_P82=0u; \
                                         bFM0P_GPIO_PFR8_P82=0u; }while(0)

#define GPIO1PIN_NP82_INITOUT(v)     do{ bFM0P_GPIO_PDOR8_P82=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDR8_P82=1u; \
                                         bFM0P_GPIO_PFR8_P82=0u; }while(0)


/*---- GPIO bit PE0 ----*/

#define GPIO1PIN_PE0_GET             ( bFM0P_GPIO_PDIRE_PE0 )

#define GPIO1PIN_PE0_PUT(v)          ( bFM0P_GPIO_PDORE_PE0=(v) )

#define GPIO1PIN_PE0_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_PE0_INITIN(v) \
                                                        : GPIO1PIN_PE0_INITOUT(v) )

#define GPIO1PIN_PE0_INITIN(v)       do{ bFM0P_GPIO_PCRE_PE0=(v).bPullup; \
                                         bFM0P_GPIO_DDRE_PE0=0u; \
                                         bFM0P_GPIO_PFRE_PE0=0u; }while(0)

#define GPIO1PIN_PE0_INITOUT(v)      do{ bFM0P_GPIO_PDORE_PE0=(v).bInitVal; \
                                         bFM0P_GPIO_DDRE_PE0=1u; \
                                         bFM0P_GPIO_PFRE_PE0=0u; }while(0)


/*---- GPIO bit NPE0 ----*/
#define GPIO1PIN_NPE0_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIRE_PE0)) )

#define GPIO1PIN_NPE0_PUT(v)         ( bFM0P_GPIO_PDORE_PE0=(uint32_t)(!(v)) )

#define GPIO1PIN_NPE0_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NPE0_INITIN(v) \
                                                        : GPIO1PIN_NPE0_INITOUT(v) )

#define GPIO1PIN_NPE0_INITIN(v)      do{ bFM0P_GPIO_PCRE_PE0=(v).bPullup; \
                                         bFM0P_GPIO_DDRE_PE0=0u; \
                                         bFM0P_GPIO_PFRE_PE0=0u; }while(0)

#define GPIO1PIN_NPE0_INITOUT(v)     do{ bFM0P_GPIO_PDORE_PE0=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDRE_PE0=1u; \
                                         bFM0P_GPIO_PFRE_PE0=0u; }while(0)


/*---- GPIO bit PE2 ----*/

#define GPIO1PIN_PE2_GET             ( bFM0P_GPIO_PDIRE_PE2 )

#define GPIO1PIN_PE2_PUT(v)          ( bFM0P_GPIO_PDORE_PE2=(v) )

#define GPIO1PIN_PE2_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_PE2_INITIN(v) \
                                                        : GPIO1PIN_PE2_INITOUT(v) )

#define GPIO1PIN_PE2_INITIN(v)       do{ bFM0P_GPIO_PCRE_PE2=(v).bPullup; \
                                         bFM0P_GPIO_DDRE_PE2=0u; \
                                         bFM0P_GPIO_SPSR_MAINXC0=0u; \
                                         bFM0P_GPIO_SPSR_MAINXC1=0u; \
                                         bFM0P_GPIO_PFRE_PE2=0u; }while(0)

#define GPIO1PIN_PE2_INITOUT(v)      do{ bFM0P_GPIO_PDORE_PE2=(v).bInitVal; \
                                         bFM0P_GPIO_DDRE_PE2=1u; \
                                         bFM0P_GPIO_SPSR_MAINXC0=0u; \
                                         bFM0P_GPIO_SPSR_MAINXC1=0u; \
                                         bFM0P_GPIO_PFRE_PE2=0u; }while(0)


/*---- GPIO bit NPE2 ----*/
#define GPIO1PIN_NPE2_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIRE_PE2)) )

#define GPIO1PIN_NPE2_PUT(v)         ( bFM0P_GPIO_PDORE_PE2=(uint32_t)(!(v)) )

#define GPIO1PIN_NPE2_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NPE2_INITIN(v) \
                                                        : GPIO1PIN_NPE2_INITOUT(v) )

#define GPIO1PIN_NPE2_INITIN(v)      do{ bFM0P_GPIO_PCRE_PE2=(v).bPullup; \
                                         bFM0P_GPIO_DDRE_PE2=0u; \
                                         bFM0P_GPIO_SPSR_MAINXC0=0u; \
                                         bFM0P_GPIO_SPSR_MAINXC1=0u; \
                                         bFM0P_GPIO_PFRE_PE2=0u; }while(0)

#define GPIO1PIN_NPE2_INITOUT(v)     do{ bFM0P_GPIO_PDORE_PE2=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDRE_PE2=1u; \
                                         bFM0P_GPIO_SPSR_MAINXC0=0u; \
                                         bFM0P_GPIO_SPSR_MAINXC1=0u; \
                                         bFM0P_GPIO_PFRE_PE2=0u; }while(0)


/*---- GPIO bit PE3 ----*/

#define GPIO1PIN_PE3_GET             ( bFM0P_GPIO_PDIRE_PE3 )

#define GPIO1PIN_PE3_PUT(v)          ( bFM0P_GPIO_PDORE_PE3=(v) )

#define GPIO1PIN_PE3_INIT(v)         ( (0==(v).bOutput) ? GPIO1PIN_PE3_INITIN(v) \
                                                        : GPIO1PIN_PE3_INITOUT(v) )

#define GPIO1PIN_PE3_INITIN(v)       do{ bFM0P_GPIO_PCRE_PE3=(v).bPullup; \
                                         bFM0P_GPIO_DDRE_PE3=0u; \
                                         bFM0P_GPIO_SPSR_MAINXC0=0u; \
                                         bFM0P_GPIO_SPSR_MAINXC1=0u; \
                                         bFM0P_GPIO_PFRE_PE3=0u; }while(0)

#define GPIO1PIN_PE3_INITOUT(v)      do{ bFM0P_GPIO_PDORE_PE3=(v).bInitVal; \
                                         bFM0P_GPIO_DDRE_PE3=1u; \
                                         bFM0P_GPIO_SPSR_MAINXC0=0u; \
                                         bFM0P_GPIO_SPSR_MAINXC1=0u; \
                                         bFM0P_GPIO_PFRE_PE3=0u; }while(0)


/*---- GPIO bit NPE3 ----*/
#define GPIO1PIN_NPE3_GET            ( (uint32_t)(~(uint32_t)(bFM0P_GPIO_PDIRE_PE3)) )

#define GPIO1PIN_NPE3_PUT(v)         ( bFM0P_GPIO_PDORE_PE3=(uint32_t)(!(v)) )

#define GPIO1PIN_NPE3_INIT(v)        ( (0==(v).bOutput) ? GPIO1PIN_NPE3_INITIN(v) \
                                                        : GPIO1PIN_NPE3_INITOUT(v) )

#define GPIO1PIN_NPE3_INITIN(v)      do{ bFM0P_GPIO_PCRE_PE3=(v).bPullup; \
                                         bFM0P_GPIO_DDRE_PE3=0u; \
                                         bFM0P_GPIO_SPSR_MAINXC0=0u; \
                                         bFM0P_GPIO_SPSR_MAINXC1=0u; \
                                         bFM0P_GPIO_PFRE_PE3=0u; }while(0)

#define GPIO1PIN_NPE3_INITOUT(v)     do{ bFM0P_GPIO_PDORE_PE3=(uint32_t)(~((uint32_t)(v).bInitVal)); \
                                         bFM0P_GPIO_DDRE_PE3=1u; \
                                         bFM0P_GPIO_SPSR_MAINXC0=0u; \
                                         bFM0P_GPIO_SPSR_MAINXC1=0u; \
                                         bFM0P_GPIO_PFRE_PE3=0u; }while(0)


/******************************************************************************
   Fast GPIO
*******************************************************************************/

/*---- Fast GPIO bit P00 ----*/

#define FGPIO1PIN_P00_GET             ( FM0P_FASTIO->FPDIR0_f.P00 )

#define FGPIO1PIN_P00_PUT(v)          ( bFM0P_GPIO_FPDOR0_P00=(v) )

#define FGPIO1PIN_P00_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P00_INITIN(v) \
                                                         : FGPIO1PIN_P00_INITOUT(v) )

#define FGPIO1PIN_P00_INITIN(v)       do{ bFM0P_GPIO_PCR0_P00=(v).bPullup; \
                                          bFM0P_GPIO_DDR0_P00=0u; \
                                          bFM0P_GPIO_PFR0_P00=0u; }while(0)

#define FGPIO1PIN_P00_INITOUT(v)      do{ bFM0P_GPIO_FPDOR0_P00=(v).bInitVal; \
                                          bFM0P_GPIO_DDR0_P00=1u; \
                                          bFM0P_GPIO_PFR0_P00=0u; }while(0)


/*---- Fast GPIO bit NP00 ----*/
#define FGPIO1PIN_NP00_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR0_f.P00)) )

#define FGPIO1PIN_NP00_PUT(v)         ( bFM0P_GPIO_FPDOR0_P00=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP00_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP00_INITIN(v) \
                                                         : FGPIO1PIN_NP00_INITOUT(v) )

#define FGPIO1PIN_NP00_INITIN(v)      do{ bFM0P_GPIO_PCR0_P00=(v).bPullup; \
                                          bFM0P_GPIO_DDR0_P00=0u; \
                                          bFM0P_GPIO_PFR0_P00=0u; }while(0)

#define FGPIO1PIN_NP00_INITOUT(v)     do{ bFM0P_GPIO_PDOR0_P00=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR0_P00=1u; \
                                          bFM0P_GPIO_PFR0_P00=0u; }while(0)


/*---- Fast GPIO bit P01 ----*/

#define FGPIO1PIN_P01_GET             ( FM0P_FASTIO->FPDIR0_f.P01 )

#define FGPIO1PIN_P01_PUT(v)          ( bFM0P_GPIO_FPDOR0_P01=(v) )

#define FGPIO1PIN_P01_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P01_INITIN(v) \
                                                         : FGPIO1PIN_P01_INITOUT(v) )

#define FGPIO1PIN_P01_INITIN(v)       do{ bFM0P_GPIO_PCR0_P01=(v).bPullup; \
                                          bFM0P_GPIO_DDR0_P01=0u; \
                                          bFM0P_GPIO_PFR0_P01=0u; }while(0)

#define FGPIO1PIN_P01_INITOUT(v)      do{ bFM0P_GPIO_FPDOR0_P01=(v).bInitVal; \
                                          bFM0P_GPIO_DDR0_P01=1u; \
                                          bFM0P_GPIO_PFR0_P01=0u; }while(0)


/*---- Fast GPIO bit NP01 ----*/
#define FGPIO1PIN_NP01_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR0_f.P01)) )

#define FGPIO1PIN_NP01_PUT(v)         ( bFM0P_GPIO_FPDOR0_P01=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP01_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP01_INITIN(v) \
                                                         : FGPIO1PIN_NP01_INITOUT(v) )

#define FGPIO1PIN_NP01_INITIN(v)      do{ bFM0P_GPIO_PCR0_P01=(v).bPullup; \
                                          bFM0P_GPIO_DDR0_P01=0u; \
                                          bFM0P_GPIO_PFR0_P01=0u; }while(0)

#define FGPIO1PIN_NP01_INITOUT(v)     do{ bFM0P_GPIO_PDOR0_P01=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR0_P01=1u; \
                                          bFM0P_GPIO_PFR0_P01=0u; }while(0)


/*---- Fast GPIO bit P02 ----*/

#define FGPIO1PIN_P02_GET             ( FM0P_FASTIO->FPDIR0_f.P02 )

#define FGPIO1PIN_P02_PUT(v)          ( bFM0P_GPIO_FPDOR0_P02=(v) )

#define FGPIO1PIN_P02_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P02_INITIN(v) \
                                                         : FGPIO1PIN_P02_INITOUT(v) )

#define FGPIO1PIN_P02_INITIN(v)       do{ bFM0P_GPIO_PCR0_P02=(v).bPullup; \
                                          bFM0P_GPIO_DDR0_P02=0u; \
                                          bFM0P_GPIO_PFR0_P02=0u; }while(0)

#define FGPIO1PIN_P02_INITOUT(v)      do{ bFM0P_GPIO_FPDOR0_P02=(v).bInitVal; \
                                          bFM0P_GPIO_DDR0_P02=1u; \
                                          bFM0P_GPIO_PFR0_P02=0u; }while(0)


/*---- Fast GPIO bit NP02 ----*/
#define FGPIO1PIN_NP02_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR0_f.P02)) )

#define FGPIO1PIN_NP02_PUT(v)         ( bFM0P_GPIO_FPDOR0_P02=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP02_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP02_INITIN(v) \
                                                         : FGPIO1PIN_NP02_INITOUT(v) )

#define FGPIO1PIN_NP02_INITIN(v)      do{ bFM0P_GPIO_PCR0_P02=(v).bPullup; \
                                          bFM0P_GPIO_DDR0_P02=0u; \
                                          bFM0P_GPIO_PFR0_P02=0u; }while(0)

#define FGPIO1PIN_NP02_INITOUT(v)     do{ bFM0P_GPIO_PDOR0_P02=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR0_P02=1u; \
                                          bFM0P_GPIO_PFR0_P02=0u; }while(0)


/*---- Fast GPIO bit P03 ----*/

#define FGPIO1PIN_P03_GET             ( FM0P_FASTIO->FPDIR0_f.P03 )

#define FGPIO1PIN_P03_PUT(v)          ( bFM0P_GPIO_FPDOR0_P03=(v) )

#define FGPIO1PIN_P03_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P03_INITIN(v) \
                                                         : FGPIO1PIN_P03_INITOUT(v) )

#define FGPIO1PIN_P03_INITIN(v)       do{ bFM0P_GPIO_PCR0_P03=(v).bPullup; \
                                          bFM0P_GPIO_DDR0_P03=0u; \
                                          bFM0P_GPIO_PFR0_P03=0u; }while(0)

#define FGPIO1PIN_P03_INITOUT(v)      do{ bFM0P_GPIO_FPDOR0_P03=(v).bInitVal; \
                                          bFM0P_GPIO_DDR0_P03=1u; \
                                          bFM0P_GPIO_PFR0_P03=0u; }while(0)


/*---- Fast GPIO bit NP03 ----*/
#define FGPIO1PIN_NP03_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR0_f.P03)) )

#define FGPIO1PIN_NP03_PUT(v)         ( bFM0P_GPIO_FPDOR0_P03=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP03_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP03_INITIN(v) \
                                                         : FGPIO1PIN_NP03_INITOUT(v) )

#define FGPIO1PIN_NP03_INITIN(v)      do{ bFM0P_GPIO_PCR0_P03=(v).bPullup; \
                                          bFM0P_GPIO_DDR0_P03=0u; \
                                          bFM0P_GPIO_PFR0_P03=0u; }while(0)

#define FGPIO1PIN_NP03_INITOUT(v)     do{ bFM0P_GPIO_PDOR0_P03=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR0_P03=1u; \
                                          bFM0P_GPIO_PFR0_P03=0u; }while(0)


/*---- Fast GPIO bit P04 ----*/

#define FGPIO1PIN_P04_GET             ( FM0P_FASTIO->FPDIR0_f.P04 )

#define FGPIO1PIN_P04_PUT(v)          ( bFM0P_GPIO_FPDOR0_P04=(v) )

#define FGPIO1PIN_P04_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P04_INITIN(v) \
                                                         : FGPIO1PIN_P04_INITOUT(v) )

#define FGPIO1PIN_P04_INITIN(v)       do{ bFM0P_GPIO_PCR0_P04=(v).bPullup; \
                                          bFM0P_GPIO_DDR0_P04=0u; \
                                          bFM0P_GPIO_PFR0_P04=0u; }while(0)

#define FGPIO1PIN_P04_INITOUT(v)      do{ bFM0P_GPIO_FPDOR0_P04=(v).bInitVal; \
                                          bFM0P_GPIO_DDR0_P04=1u; \
                                          bFM0P_GPIO_PFR0_P04=0u; }while(0)


/*---- Fast GPIO bit NP04 ----*/
#define FGPIO1PIN_NP04_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR0_f.P04)) )

#define FGPIO1PIN_NP04_PUT(v)         ( bFM0P_GPIO_FPDOR0_P04=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP04_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP04_INITIN(v) \
                                                         : FGPIO1PIN_NP04_INITOUT(v) )

#define FGPIO1PIN_NP04_INITIN(v)      do{ bFM0P_GPIO_PCR0_P04=(v).bPullup; \
                                          bFM0P_GPIO_DDR0_P04=0u; \
                                          bFM0P_GPIO_PFR0_P04=0u; }while(0)

#define FGPIO1PIN_NP04_INITOUT(v)     do{ bFM0P_GPIO_PDOR0_P04=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR0_P04=1u; \
                                          bFM0P_GPIO_PFR0_P04=0u; }while(0)


/*---- Fast GPIO bit P0F ----*/

#define FGPIO1PIN_P0F_GET             ( FM0P_FASTIO->FPDIR0_f.P0F )

#define FGPIO1PIN_P0F_PUT(v)          ( bFM0P_GPIO_FPDOR0_P0F=(v) )

#define FGPIO1PIN_P0F_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P0F_INITIN(v) \
                                                         : FGPIO1PIN_P0F_INITOUT(v) )

#define FGPIO1PIN_P0F_INITIN(v)       do{ bFM0P_GPIO_PCR0_P0F=(v).bPullup; \
                                          bFM0P_GPIO_DDR0_P0F=0u; \
                                          bFM0P_GPIO_PFR0_P0F=0u; }while(0)

#define FGPIO1PIN_P0F_INITOUT(v)      do{ bFM0P_GPIO_FPDOR0_P0F=(v).bInitVal; \
                                          bFM0P_GPIO_DDR0_P0F=1u; \
                                          bFM0P_GPIO_PFR0_P0F=0u; }while(0)


/*---- Fast GPIO bit NP0F ----*/
#define FGPIO1PIN_NP0F_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR0_f.P0F)) )

#define FGPIO1PIN_NP0F_PUT(v)         ( bFM0P_GPIO_FPDOR0_P0F=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP0F_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP0F_INITIN(v) \
                                                         : FGPIO1PIN_NP0F_INITOUT(v) )

#define FGPIO1PIN_NP0F_INITIN(v)      do{ bFM0P_GPIO_PCR0_P0F=(v).bPullup; \
                                          bFM0P_GPIO_DDR0_P0F=0u; \
                                          bFM0P_GPIO_PFR0_P0F=0u; }while(0)

#define FGPIO1PIN_NP0F_INITOUT(v)     do{ bFM0P_GPIO_PDOR0_P0F=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR0_P0F=1u; \
                                          bFM0P_GPIO_PFR0_P0F=0u; }while(0)


/*---- Fast GPIO bit P10 ----*/

#define FGPIO1PIN_P10_GET             ( FM0P_FASTIO->FPDIR1_f.P10 )

#define FGPIO1PIN_P10_PUT(v)          ( bFM0P_GPIO_FPDOR1_P10=(v) )

#define FGPIO1PIN_P10_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P10_INITIN(v) \
                                                         : FGPIO1PIN_P10_INITOUT(v) )

#define FGPIO1PIN_P10_INITIN(v)       do{ bFM0P_GPIO_PCR1_P10=(v).bPullup; \
                                          bFM0P_GPIO_DDR1_P10=0u; \
                                          bFM0P_GPIO_PFR1_P10=0u; \
                                          bFM0P_GPIO_ADE_AN00=0u; }while(0)


#define FGPIO1PIN_P10_INITOUT(v)      do{ bFM0P_GPIO_FPDOR1_P10=(v).bInitVal; \
                                          bFM0P_GPIO_DDR1_P10=1u; \
                                          bFM0P_GPIO_PFR1_P10=0u; \
                                          bFM0P_GPIO_ADE_AN00=0u; }while(0)


/*---- Fast GPIO bit NP10 ----*/
#define FGPIO1PIN_NP10_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR1_f.P10)) )

#define FGPIO1PIN_NP10_PUT(v)         ( bFM0P_GPIO_FPDOR1_P10=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP10_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP10_INITIN(v) \
                                                         : FGPIO1PIN_NP10_INITOUT(v) )

#define FGPIO1PIN_NP10_INITIN(v)      do{ bFM0P_GPIO_PCR1_P10=(v).bPullup; \
                                          bFM0P_GPIO_DDR1_P10=0u; \
                                          bFM0P_GPIO_PFR1_P10=0u; \
                                          bFM0P_GPIO_ADE_AN00=0u; }while(0)


#define FGPIO1PIN_NP10_INITOUT(v)     do{ bFM0P_GPIO_PDOR1_P10=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR1_P10=1u; \
                                          bFM0P_GPIO_PFR1_P10=0u; \
                                          bFM0P_GPIO_ADE_AN00=0u; }while(0)


/*---- Fast GPIO bit P11 ----*/

#define FGPIO1PIN_P11_GET             ( FM0P_FASTIO->FPDIR1_f.P11 )

#define FGPIO1PIN_P11_PUT(v)          ( bFM0P_GPIO_FPDOR1_P11=(v) )

#define FGPIO1PIN_P11_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P11_INITIN(v) \
                                                         : FGPIO1PIN_P11_INITOUT(v) )

#define FGPIO1PIN_P11_INITIN(v)       do{ bFM0P_GPIO_PCR1_P11=(v).bPullup; \
                                          bFM0P_GPIO_DDR1_P11=0u; \
                                          bFM0P_GPIO_PFR1_P11=0u; \
                                          bFM0P_GPIO_ADE_AN01=0u; }while(0)


#define FGPIO1PIN_P11_INITOUT(v)      do{ bFM0P_GPIO_FPDOR1_P11=(v).bInitVal; \
                                          bFM0P_GPIO_DDR1_P11=1u; \
                                          bFM0P_GPIO_PFR1_P11=0u; \
                                          bFM0P_GPIO_ADE_AN01=0u; }while(0)


/*---- Fast GPIO bit NP11 ----*/
#define FGPIO1PIN_NP11_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR1_f.P11)) )

#define FGPIO1PIN_NP11_PUT(v)         ( bFM0P_GPIO_FPDOR1_P11=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP11_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP11_INITIN(v) \
                                                         : FGPIO1PIN_NP11_INITOUT(v) )

#define FGPIO1PIN_NP11_INITIN(v)      do{ bFM0P_GPIO_PCR1_P11=(v).bPullup; \
                                          bFM0P_GPIO_DDR1_P11=0u; \
                                          bFM0P_GPIO_PFR1_P11=0u; \
                                          bFM0P_GPIO_ADE_AN01=0u; }while(0)


#define FGPIO1PIN_NP11_INITOUT(v)     do{ bFM0P_GPIO_PDOR1_P11=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR1_P11=1u; \
                                          bFM0P_GPIO_PFR1_P11=0u; \
                                          bFM0P_GPIO_ADE_AN01=0u; }while(0)


/*---- Fast GPIO bit P12 ----*/

#define FGPIO1PIN_P12_GET             ( FM0P_FASTIO->FPDIR1_f.P12 )

#define FGPIO1PIN_P12_PUT(v)          ( bFM0P_GPIO_FPDOR1_P12=(v) )

#define FGPIO1PIN_P12_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P12_INITIN(v) \
                                                         : FGPIO1PIN_P12_INITOUT(v) )

#define FGPIO1PIN_P12_INITIN(v)       do{ bFM0P_GPIO_PCR1_P12=(v).bPullup; \
                                          bFM0P_GPIO_DDR1_P12=0u; \
                                          bFM0P_GPIO_PFR1_P12=0u; \
                                          bFM0P_GPIO_ADE_AN02=0u; }while(0)


#define FGPIO1PIN_P12_INITOUT(v)      do{ bFM0P_GPIO_FPDOR1_P12=(v).bInitVal; \
                                          bFM0P_GPIO_DDR1_P12=1u; \
                                          bFM0P_GPIO_PFR1_P12=0u; \
                                          bFM0P_GPIO_ADE_AN02=0u; }while(0)


/*---- Fast GPIO bit NP12 ----*/
#define FGPIO1PIN_NP12_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR1_f.P12)) )

#define FGPIO1PIN_NP12_PUT(v)         ( bFM0P_GPIO_FPDOR1_P12=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP12_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP12_INITIN(v) \
                                                         : FGPIO1PIN_NP12_INITOUT(v) )

#define FGPIO1PIN_NP12_INITIN(v)      do{ bFM0P_GPIO_PCR1_P12=(v).bPullup; \
                                          bFM0P_GPIO_DDR1_P12=0u; \
                                          bFM0P_GPIO_PFR1_P12=0u; \
                                          bFM0P_GPIO_ADE_AN02=0u; }while(0)


#define FGPIO1PIN_NP12_INITOUT(v)     do{ bFM0P_GPIO_PDOR1_P12=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR1_P12=1u; \
                                          bFM0P_GPIO_PFR1_P12=0u; \
                                          bFM0P_GPIO_ADE_AN02=0u; }while(0)


/*---- Fast GPIO bit P13 ----*/

#define FGPIO1PIN_P13_GET             ( FM0P_FASTIO->FPDIR1_f.P13 )

#define FGPIO1PIN_P13_PUT(v)          ( bFM0P_GPIO_FPDOR1_P13=(v) )

#define FGPIO1PIN_P13_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P13_INITIN(v) \
                                                         : FGPIO1PIN_P13_INITOUT(v) )

#define FGPIO1PIN_P13_INITIN(v)       do{ bFM0P_GPIO_PCR1_P13=(v).bPullup; \
                                          bFM0P_GPIO_DDR1_P13=0u; \
                                          bFM0P_GPIO_PFR1_P13=0u; \
                                          bFM0P_GPIO_ADE_AN03=0u; }while(0)


#define FGPIO1PIN_P13_INITOUT(v)      do{ bFM0P_GPIO_FPDOR1_P13=(v).bInitVal; \
                                          bFM0P_GPIO_DDR1_P13=1u; \
                                          bFM0P_GPIO_PFR1_P13=0u; \
                                          bFM0P_GPIO_ADE_AN03=0u; }while(0)


/*---- Fast GPIO bit NP13 ----*/
#define FGPIO1PIN_NP13_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR1_f.P13)) )

#define FGPIO1PIN_NP13_PUT(v)         ( bFM0P_GPIO_FPDOR1_P13=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP13_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP13_INITIN(v) \
                                                         : FGPIO1PIN_NP13_INITOUT(v) )

#define FGPIO1PIN_NP13_INITIN(v)      do{ bFM0P_GPIO_PCR1_P13=(v).bPullup; \
                                          bFM0P_GPIO_DDR1_P13=0u; \
                                          bFM0P_GPIO_PFR1_P13=0u; \
                                          bFM0P_GPIO_ADE_AN03=0u; }while(0)


#define FGPIO1PIN_NP13_INITOUT(v)     do{ bFM0P_GPIO_PDOR1_P13=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR1_P13=1u; \
                                          bFM0P_GPIO_PFR1_P13=0u; \
                                          bFM0P_GPIO_ADE_AN03=0u; }while(0)


/*---- Fast GPIO bit P14 ----*/

#define FGPIO1PIN_P14_GET             ( FM0P_FASTIO->FPDIR1_f.P14 )

#define FGPIO1PIN_P14_PUT(v)          ( bFM0P_GPIO_FPDOR1_P14=(v) )

#define FGPIO1PIN_P14_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P14_INITIN(v) \
                                                         : FGPIO1PIN_P14_INITOUT(v) )

#define FGPIO1PIN_P14_INITIN(v)       do{ bFM0P_GPIO_PCR1_P14=(v).bPullup; \
                                          bFM0P_GPIO_DDR1_P14=0u; \
                                          bFM0P_GPIO_PFR1_P14=0u; \
                                          bFM0P_GPIO_ADE_AN04=0u; }while(0)


#define FGPIO1PIN_P14_INITOUT(v)      do{ bFM0P_GPIO_FPDOR1_P14=(v).bInitVal; \
                                          bFM0P_GPIO_DDR1_P14=1u; \
                                          bFM0P_GPIO_PFR1_P14=0u; \
                                          bFM0P_GPIO_ADE_AN04=0u; }while(0)


/*---- Fast GPIO bit NP14 ----*/
#define FGPIO1PIN_NP14_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR1_f.P14)) )

#define FGPIO1PIN_NP14_PUT(v)         ( bFM0P_GPIO_FPDOR1_P14=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP14_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP14_INITIN(v) \
                                                         : FGPIO1PIN_NP14_INITOUT(v) )

#define FGPIO1PIN_NP14_INITIN(v)      do{ bFM0P_GPIO_PCR1_P14=(v).bPullup; \
                                          bFM0P_GPIO_DDR1_P14=0u; \
                                          bFM0P_GPIO_PFR1_P14=0u; \
                                          bFM0P_GPIO_ADE_AN04=0u; }while(0)


#define FGPIO1PIN_NP14_INITOUT(v)     do{ bFM0P_GPIO_PDOR1_P14=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR1_P14=1u; \
                                          bFM0P_GPIO_PFR1_P14=0u; \
                                          bFM0P_GPIO_ADE_AN04=0u; }while(0)


/*---- Fast GPIO bit P15 ----*/

#define FGPIO1PIN_P15_GET             ( FM0P_FASTIO->FPDIR1_f.P15 )

#define FGPIO1PIN_P15_PUT(v)          ( bFM0P_GPIO_FPDOR1_P15=(v) )

#define FGPIO1PIN_P15_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P15_INITIN(v) \
                                                         : FGPIO1PIN_P15_INITOUT(v) )

#define FGPIO1PIN_P15_INITIN(v)       do{ bFM0P_GPIO_PCR1_P15=(v).bPullup; \
                                          bFM0P_GPIO_DDR1_P15=0u; \
                                          bFM0P_GPIO_PFR1_P15=0u; \
                                          bFM0P_GPIO_ADE_AN05=0u; }while(0)


#define FGPIO1PIN_P15_INITOUT(v)      do{ bFM0P_GPIO_FPDOR1_P15=(v).bInitVal; \
                                          bFM0P_GPIO_DDR1_P15=1u; \
                                          bFM0P_GPIO_PFR1_P15=0u; \
                                          bFM0P_GPIO_ADE_AN05=0u; }while(0)


/*---- Fast GPIO bit NP15 ----*/
#define FGPIO1PIN_NP15_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR1_f.P15)) )

#define FGPIO1PIN_NP15_PUT(v)         ( bFM0P_GPIO_FPDOR1_P15=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP15_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP15_INITIN(v) \
                                                         : FGPIO1PIN_NP15_INITOUT(v) )

#define FGPIO1PIN_NP15_INITIN(v)      do{ bFM0P_GPIO_PCR1_P15=(v).bPullup; \
                                          bFM0P_GPIO_DDR1_P15=0u; \
                                          bFM0P_GPIO_PFR1_P15=0u; \
                                          bFM0P_GPIO_ADE_AN05=0u; }while(0)


#define FGPIO1PIN_NP15_INITOUT(v)     do{ bFM0P_GPIO_PDOR1_P15=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR1_P15=1u; \
                                          bFM0P_GPIO_PFR1_P15=0u; \
                                          bFM0P_GPIO_ADE_AN05=0u; }while(0)


/*---- Fast GPIO bit P21 ----*/

#define FGPIO1PIN_P21_GET             ( FM0P_FASTIO->FPDIR2_f.P21 )

#define FGPIO1PIN_P21_PUT(v)          ( bFM0P_GPIO_FPDOR2_P21=(v) )

#define FGPIO1PIN_P21_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P21_INITIN(v) \
                                                         : FGPIO1PIN_P21_INITOUT(v) )

#define FGPIO1PIN_P21_INITIN(v)       do{ bFM0P_GPIO_PCR2_P21=(v).bPullup; \
                                          bFM0P_GPIO_DDR2_P21=0u; \
                                          bFM0P_GPIO_PFR2_P21=0u; }while(0)

#define FGPIO1PIN_P21_INITOUT(v)      do{ bFM0P_GPIO_FPDOR2_P21=(v).bInitVal; \
                                          bFM0P_GPIO_DDR2_P21=1u; \
                                          bFM0P_GPIO_PFR2_P21=0u; }while(0)


/*---- Fast GPIO bit NP21 ----*/
#define FGPIO1PIN_NP21_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR2_f.P21)) )

#define FGPIO1PIN_NP21_PUT(v)         ( bFM0P_GPIO_FPDOR2_P21=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP21_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP21_INITIN(v) \
                                                         : FGPIO1PIN_NP21_INITOUT(v) )

#define FGPIO1PIN_NP21_INITIN(v)      do{ bFM0P_GPIO_PCR2_P21=(v).bPullup; \
                                          bFM0P_GPIO_DDR2_P21=0u; \
                                          bFM0P_GPIO_PFR2_P21=0u; }while(0)

#define FGPIO1PIN_NP21_INITOUT(v)     do{ bFM0P_GPIO_PDOR2_P21=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR2_P21=1u; \
                                          bFM0P_GPIO_PFR2_P21=0u; }while(0)


/*---- Fast GPIO bit P22 ----*/

#define FGPIO1PIN_P22_GET             ( FM0P_FASTIO->FPDIR2_f.P22 )

#define FGPIO1PIN_P22_PUT(v)          ( bFM0P_GPIO_FPDOR2_P22=(v) )

#define FGPIO1PIN_P22_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P22_INITIN(v) \
                                                         : FGPIO1PIN_P22_INITOUT(v) )

#define FGPIO1PIN_P22_INITIN(v)       do{ bFM0P_GPIO_PCR2_P22=(v).bPullup; \
                                          bFM0P_GPIO_DDR2_P22=0u; \
                                          bFM0P_GPIO_PFR2_P22=0u; \
                                          bFM0P_GPIO_ADE_AN07=0u; }while(0)


#define FGPIO1PIN_P22_INITOUT(v)      do{ bFM0P_GPIO_FPDOR2_P22=(v).bInitVal; \
                                          bFM0P_GPIO_DDR2_P22=1u; \
                                          bFM0P_GPIO_PFR2_P22=0u; \
                                          bFM0P_GPIO_ADE_AN07=0u; }while(0)


/*---- Fast GPIO bit NP22 ----*/
#define FGPIO1PIN_NP22_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR2_f.P22)) )

#define FGPIO1PIN_NP22_PUT(v)         ( bFM0P_GPIO_FPDOR2_P22=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP22_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP22_INITIN(v) \
                                                         : FGPIO1PIN_NP22_INITOUT(v) )

#define FGPIO1PIN_NP22_INITIN(v)      do{ bFM0P_GPIO_PCR2_P22=(v).bPullup; \
                                          bFM0P_GPIO_DDR2_P22=0u; \
                                          bFM0P_GPIO_PFR2_P22=0u; \
                                          bFM0P_GPIO_ADE_AN07=0u; }while(0)


#define FGPIO1PIN_NP22_INITOUT(v)     do{ bFM0P_GPIO_PDOR2_P22=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR2_P22=1u; \
                                          bFM0P_GPIO_PFR2_P22=0u; \
                                          bFM0P_GPIO_ADE_AN07=0u; }while(0)


/*---- Fast GPIO bit P23 ----*/

#define FGPIO1PIN_P23_GET             ( FM0P_FASTIO->FPDIR2_f.P23 )

#define FGPIO1PIN_P23_PUT(v)          ( bFM0P_GPIO_FPDOR2_P23=(v) )

#define FGPIO1PIN_P23_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P23_INITIN(v) \
                                                         : FGPIO1PIN_P23_INITOUT(v) )

#define FGPIO1PIN_P23_INITIN(v)       do{ bFM0P_GPIO_PCR2_P23=(v).bPullup; \
                                          bFM0P_GPIO_DDR2_P23=0u; \
                                          bFM0P_GPIO_PFR2_P23=0u; \
                                          bFM0P_GPIO_ADE_AN06=0u; }while(0)


#define FGPIO1PIN_P23_INITOUT(v)      do{ bFM0P_GPIO_FPDOR2_P23=(v).bInitVal; \
                                          bFM0P_GPIO_DDR2_P23=1u; \
                                          bFM0P_GPIO_PFR2_P23=0u; \
                                          bFM0P_GPIO_ADE_AN06=0u; }while(0)


/*---- Fast GPIO bit NP23 ----*/
#define FGPIO1PIN_NP23_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR2_f.P23)) )

#define FGPIO1PIN_NP23_PUT(v)         ( bFM0P_GPIO_FPDOR2_P23=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP23_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP23_INITIN(v) \
                                                         : FGPIO1PIN_NP23_INITOUT(v) )

#define FGPIO1PIN_NP23_INITIN(v)      do{ bFM0P_GPIO_PCR2_P23=(v).bPullup; \
                                          bFM0P_GPIO_DDR2_P23=0u; \
                                          bFM0P_GPIO_PFR2_P23=0u; \
                                          bFM0P_GPIO_ADE_AN06=0u; }while(0)


#define FGPIO1PIN_NP23_INITOUT(v)     do{ bFM0P_GPIO_PDOR2_P23=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR2_P23=1u; \
                                          bFM0P_GPIO_PFR2_P23=0u; \
                                          bFM0P_GPIO_ADE_AN06=0u; }while(0)


/*---- Fast GPIO bit P39 ----*/

#define FGPIO1PIN_P39_GET             ( FM0P_FASTIO->FPDIR3_f.P39 )

#define FGPIO1PIN_P39_PUT(v)          ( bFM0P_GPIO_FPDOR3_P39=(v) )

#define FGPIO1PIN_P39_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P39_INITIN(v) \
                                                         : FGPIO1PIN_P39_INITOUT(v) )

#define FGPIO1PIN_P39_INITIN(v)       do{ bFM0P_GPIO_PCR3_P39=(v).bPullup; \
                                          bFM0P_GPIO_DDR3_P39=0u; \
                                          bFM0P_GPIO_PFR3_P39=0u; }while(0)

#define FGPIO1PIN_P39_INITOUT(v)      do{ bFM0P_GPIO_FPDOR3_P39=(v).bInitVal; \
                                          bFM0P_GPIO_DDR3_P39=1u; \
                                          bFM0P_GPIO_PFR3_P39=0u; }while(0)


/*---- Fast GPIO bit NP39 ----*/
#define FGPIO1PIN_NP39_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR3_f.P39)) )

#define FGPIO1PIN_NP39_PUT(v)         ( bFM0P_GPIO_FPDOR3_P39=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP39_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP39_INITIN(v) \
                                                         : FGPIO1PIN_NP39_INITOUT(v) )

#define FGPIO1PIN_NP39_INITIN(v)      do{ bFM0P_GPIO_PCR3_P39=(v).bPullup; \
                                          bFM0P_GPIO_DDR3_P39=0u; \
                                          bFM0P_GPIO_PFR3_P39=0u; }while(0)

#define FGPIO1PIN_NP39_INITOUT(v)     do{ bFM0P_GPIO_PDOR3_P39=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR3_P39=1u; \
                                          bFM0P_GPIO_PFR3_P39=0u; }while(0)


/*---- Fast GPIO bit P3A ----*/

#define FGPIO1PIN_P3A_GET             ( FM0P_FASTIO->FPDIR3_f.P3A )

#define FGPIO1PIN_P3A_PUT(v)          ( bFM0P_GPIO_FPDOR3_P3A=(v) )

#define FGPIO1PIN_P3A_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P3A_INITIN(v) \
                                                         : FGPIO1PIN_P3A_INITOUT(v) )

#define FGPIO1PIN_P3A_INITIN(v)       do{ bFM0P_GPIO_PCR3_P3A=(v).bPullup; \
                                          bFM0P_GPIO_DDR3_P3A=0u; \
                                          bFM0P_GPIO_PFR3_P3A=0u; }while(0)

#define FGPIO1PIN_P3A_INITOUT(v)      do{ bFM0P_GPIO_FPDOR3_P3A=(v).bInitVal; \
                                          bFM0P_GPIO_DDR3_P3A=1u; \
                                          bFM0P_GPIO_PFR3_P3A=0u; }while(0)


/*---- Fast GPIO bit NP3A ----*/
#define FGPIO1PIN_NP3A_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR3_f.P3A)) )

#define FGPIO1PIN_NP3A_PUT(v)         ( bFM0P_GPIO_FPDOR3_P3A=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP3A_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP3A_INITIN(v) \
                                                         : FGPIO1PIN_NP3A_INITOUT(v) )

#define FGPIO1PIN_NP3A_INITIN(v)      do{ bFM0P_GPIO_PCR3_P3A=(v).bPullup; \
                                          bFM0P_GPIO_DDR3_P3A=0u; \
                                          bFM0P_GPIO_PFR3_P3A=0u; }while(0)

#define FGPIO1PIN_NP3A_INITOUT(v)     do{ bFM0P_GPIO_PDOR3_P3A=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR3_P3A=1u; \
                                          bFM0P_GPIO_PFR3_P3A=0u; }while(0)


/*---- Fast GPIO bit P3B ----*/

#define FGPIO1PIN_P3B_GET             ( FM0P_FASTIO->FPDIR3_f.P3B )

#define FGPIO1PIN_P3B_PUT(v)          ( bFM0P_GPIO_FPDOR3_P3B=(v) )

#define FGPIO1PIN_P3B_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P3B_INITIN(v) \
                                                         : FGPIO1PIN_P3B_INITOUT(v) )

#define FGPIO1PIN_P3B_INITIN(v)       do{ bFM0P_GPIO_PCR3_P3B=(v).bPullup; \
                                          bFM0P_GPIO_DDR3_P3B=0u; \
                                          bFM0P_GPIO_PFR3_P3B=0u; }while(0)

#define FGPIO1PIN_P3B_INITOUT(v)      do{ bFM0P_GPIO_FPDOR3_P3B=(v).bInitVal; \
                                          bFM0P_GPIO_DDR3_P3B=1u; \
                                          bFM0P_GPIO_PFR3_P3B=0u; }while(0)


/*---- Fast GPIO bit NP3B ----*/
#define FGPIO1PIN_NP3B_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR3_f.P3B)) )

#define FGPIO1PIN_NP3B_PUT(v)         ( bFM0P_GPIO_FPDOR3_P3B=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP3B_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP3B_INITIN(v) \
                                                         : FGPIO1PIN_NP3B_INITOUT(v) )

#define FGPIO1PIN_NP3B_INITIN(v)      do{ bFM0P_GPIO_PCR3_P3B=(v).bPullup; \
                                          bFM0P_GPIO_DDR3_P3B=0u; \
                                          bFM0P_GPIO_PFR3_P3B=0u; }while(0)

#define FGPIO1PIN_NP3B_INITOUT(v)     do{ bFM0P_GPIO_PDOR3_P3B=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR3_P3B=1u; \
                                          bFM0P_GPIO_PFR3_P3B=0u; }while(0)


/*---- Fast GPIO bit P3C ----*/

#define FGPIO1PIN_P3C_GET             ( FM0P_FASTIO->FPDIR3_f.P3C )

#define FGPIO1PIN_P3C_PUT(v)          ( bFM0P_GPIO_FPDOR3_P3C=(v) )

#define FGPIO1PIN_P3C_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P3C_INITIN(v) \
                                                         : FGPIO1PIN_P3C_INITOUT(v) )

#define FGPIO1PIN_P3C_INITIN(v)       do{ bFM0P_GPIO_PCR3_P3C=(v).bPullup; \
                                          bFM0P_GPIO_DDR3_P3C=0u; \
                                          bFM0P_GPIO_PFR3_P3C=0u; }while(0)

#define FGPIO1PIN_P3C_INITOUT(v)      do{ bFM0P_GPIO_FPDOR3_P3C=(v).bInitVal; \
                                          bFM0P_GPIO_DDR3_P3C=1u; \
                                          bFM0P_GPIO_PFR3_P3C=0u; }while(0)


/*---- Fast GPIO bit NP3C ----*/
#define FGPIO1PIN_NP3C_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR3_f.P3C)) )

#define FGPIO1PIN_NP3C_PUT(v)         ( bFM0P_GPIO_FPDOR3_P3C=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP3C_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP3C_INITIN(v) \
                                                         : FGPIO1PIN_NP3C_INITOUT(v) )

#define FGPIO1PIN_NP3C_INITIN(v)      do{ bFM0P_GPIO_PCR3_P3C=(v).bPullup; \
                                          bFM0P_GPIO_DDR3_P3C=0u; \
                                          bFM0P_GPIO_PFR3_P3C=0u; }while(0)

#define FGPIO1PIN_NP3C_INITOUT(v)     do{ bFM0P_GPIO_PDOR3_P3C=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR3_P3C=1u; \
                                          bFM0P_GPIO_PFR3_P3C=0u; }while(0)


/*---- Fast GPIO bit P3D ----*/

#define FGPIO1PIN_P3D_GET             ( FM0P_FASTIO->FPDIR3_f.P3D )

#define FGPIO1PIN_P3D_PUT(v)          ( bFM0P_GPIO_FPDOR3_P3D=(v) )

#define FGPIO1PIN_P3D_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P3D_INITIN(v) \
                                                         : FGPIO1PIN_P3D_INITOUT(v) )

#define FGPIO1PIN_P3D_INITIN(v)       do{ bFM0P_GPIO_PCR3_P3D=(v).bPullup; \
                                          bFM0P_GPIO_DDR3_P3D=0u; \
                                          bFM0P_GPIO_PFR3_P3D=0u; }while(0)

#define FGPIO1PIN_P3D_INITOUT(v)      do{ bFM0P_GPIO_FPDOR3_P3D=(v).bInitVal; \
                                          bFM0P_GPIO_DDR3_P3D=1u; \
                                          bFM0P_GPIO_PFR3_P3D=0u; }while(0)


/*---- Fast GPIO bit NP3D ----*/
#define FGPIO1PIN_NP3D_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR3_f.P3D)) )

#define FGPIO1PIN_NP3D_PUT(v)         ( bFM0P_GPIO_FPDOR3_P3D=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP3D_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP3D_INITIN(v) \
                                                         : FGPIO1PIN_NP3D_INITOUT(v) )

#define FGPIO1PIN_NP3D_INITIN(v)      do{ bFM0P_GPIO_PCR3_P3D=(v).bPullup; \
                                          bFM0P_GPIO_DDR3_P3D=0u; \
                                          bFM0P_GPIO_PFR3_P3D=0u; }while(0)

#define FGPIO1PIN_NP3D_INITOUT(v)     do{ bFM0P_GPIO_PDOR3_P3D=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR3_P3D=1u; \
                                          bFM0P_GPIO_PFR3_P3D=0u; }while(0)


/*---- Fast GPIO bit P3E ----*/

#define FGPIO1PIN_P3E_GET             ( FM0P_FASTIO->FPDIR3_f.P3E )

#define FGPIO1PIN_P3E_PUT(v)          ( bFM0P_GPIO_FPDOR3_P3E=(v) )

#define FGPIO1PIN_P3E_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P3E_INITIN(v) \
                                                         : FGPIO1PIN_P3E_INITOUT(v) )

#define FGPIO1PIN_P3E_INITIN(v)       do{ bFM0P_GPIO_PCR3_P3E=(v).bPullup; \
                                          bFM0P_GPIO_DDR3_P3E=0u; \
                                          bFM0P_GPIO_PFR3_P3E=0u; }while(0)

#define FGPIO1PIN_P3E_INITOUT(v)      do{ bFM0P_GPIO_FPDOR3_P3E=(v).bInitVal; \
                                          bFM0P_GPIO_DDR3_P3E=1u; \
                                          bFM0P_GPIO_PFR3_P3E=0u; }while(0)


/*---- Fast GPIO bit NP3E ----*/
#define FGPIO1PIN_NP3E_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR3_f.P3E)) )

#define FGPIO1PIN_NP3E_PUT(v)         ( bFM0P_GPIO_FPDOR3_P3E=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP3E_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP3E_INITIN(v) \
                                                         : FGPIO1PIN_NP3E_INITOUT(v) )

#define FGPIO1PIN_NP3E_INITIN(v)      do{ bFM0P_GPIO_PCR3_P3E=(v).bPullup; \
                                          bFM0P_GPIO_DDR3_P3E=0u; \
                                          bFM0P_GPIO_PFR3_P3E=0u; }while(0)

#define FGPIO1PIN_NP3E_INITOUT(v)     do{ bFM0P_GPIO_PDOR3_P3E=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR3_P3E=1u; \
                                          bFM0P_GPIO_PFR3_P3E=0u; }while(0)


/*---- Fast GPIO bit P3F ----*/

#define FGPIO1PIN_P3F_GET             ( FM0P_FASTIO->FPDIR3_f.P3F )

#define FGPIO1PIN_P3F_PUT(v)          ( bFM0P_GPIO_FPDOR3_P3F=(v) )

#define FGPIO1PIN_P3F_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P3F_INITIN(v) \
                                                         : FGPIO1PIN_P3F_INITOUT(v) )

#define FGPIO1PIN_P3F_INITIN(v)       do{ bFM0P_GPIO_PCR3_P3F=(v).bPullup; \
                                          bFM0P_GPIO_DDR3_P3F=0u; \
                                          bFM0P_GPIO_PFR3_P3F=0u; }while(0)

#define FGPIO1PIN_P3F_INITOUT(v)      do{ bFM0P_GPIO_FPDOR3_P3F=(v).bInitVal; \
                                          bFM0P_GPIO_DDR3_P3F=1u; \
                                          bFM0P_GPIO_PFR3_P3F=0u; }while(0)


/*---- Fast GPIO bit NP3F ----*/
#define FGPIO1PIN_NP3F_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR3_f.P3F)) )

#define FGPIO1PIN_NP3F_PUT(v)         ( bFM0P_GPIO_FPDOR3_P3F=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP3F_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP3F_INITIN(v) \
                                                         : FGPIO1PIN_NP3F_INITOUT(v) )

#define FGPIO1PIN_NP3F_INITIN(v)      do{ bFM0P_GPIO_PCR3_P3F=(v).bPullup; \
                                          bFM0P_GPIO_DDR3_P3F=0u; \
                                          bFM0P_GPIO_PFR3_P3F=0u; }while(0)

#define FGPIO1PIN_NP3F_INITOUT(v)     do{ bFM0P_GPIO_PDOR3_P3F=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR3_P3F=1u; \
                                          bFM0P_GPIO_PFR3_P3F=0u; }while(0)


/*---- Fast GPIO bit P46 ----*/

#define FGPIO1PIN_P46_GET             ( FM0P_FASTIO->FPDIR4_f.P46 )

#define FGPIO1PIN_P46_PUT(v)          ( bFM0P_GPIO_FPDOR4_P46=(v) )

#define FGPIO1PIN_P46_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P46_INITIN(v) \
                                                         : FGPIO1PIN_P46_INITOUT(v) )

#define FGPIO1PIN_P46_INITIN(v)       do{ bFM0P_GPIO_PCR4_P46=(v).bPullup; \
                                          bFM0P_GPIO_DDR4_P46=0u; \
                                          bFM0P_GPIO_SPSR_SUBXC0=0u; \
                                          bFM0P_GPIO_SPSR_SUBXC1=0u; \
                                          bFM0P_GPIO_PFR4_P46=0u; }while(0)

#define FGPIO1PIN_P46_INITOUT(v)      do{ bFM0P_GPIO_FPDOR4_P46=(v).bInitVal; \
                                          bFM0P_GPIO_DDR4_P46=1u; \
                                          bFM0P_GPIO_SPSR_SUBXC0=0u; \
                                          bFM0P_GPIO_SPSR_SUBXC1=0u; \
                                          bFM0P_GPIO_PFR4_P46=0u; }while(0)


/*---- Fast GPIO bit NP46 ----*/
#define FGPIO1PIN_NP46_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR4_f.P46)) )

#define FGPIO1PIN_NP46_PUT(v)         ( bFM0P_GPIO_FPDOR4_P46=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP46_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP46_INITIN(v) \
                                                         : FGPIO1PIN_NP46_INITOUT(v) )

#define FGPIO1PIN_NP46_INITIN(v)      do{ bFM0P_GPIO_PCR4_P46=(v).bPullup; \
                                          bFM0P_GPIO_DDR4_P46=0u; \
                                          bFM0P_GPIO_SPSR_SUBXC0=0u; \
                                          bFM0P_GPIO_SPSR_SUBXC1=0u; \
                                          bFM0P_GPIO_PFR4_P46=0u; }while(0)

#define FGPIO1PIN_NP46_INITOUT(v)     do{ bFM0P_GPIO_PDOR4_P46=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR4_P46=1u; \
                                          bFM0P_GPIO_SPSR_SUBXC0=0u; \
                                          bFM0P_GPIO_SPSR_SUBXC1=0u; \
                                          bFM0P_GPIO_PFR4_P46=0u; }while(0)


/*---- Fast GPIO bit P47 ----*/

#define FGPIO1PIN_P47_GET             ( FM0P_FASTIO->FPDIR4_f.P47 )

#define FGPIO1PIN_P47_PUT(v)          ( bFM0P_GPIO_FPDOR4_P47=(v) )

#define FGPIO1PIN_P47_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P47_INITIN(v) \
                                                         : FGPIO1PIN_P47_INITOUT(v) )

#define FGPIO1PIN_P47_INITIN(v)       do{ bFM0P_GPIO_PCR4_P47=(v).bPullup; \
                                          bFM0P_GPIO_DDR4_P47=0u; \
                                          bFM0P_GPIO_SPSR_SUBXC0=0u; \
                                          bFM0P_GPIO_SPSR_SUBXC1=0u; \
                                          bFM0P_GPIO_PFR4_P47=0u; }while(0)

#define FGPIO1PIN_P47_INITOUT(v)      do{ bFM0P_GPIO_FPDOR4_P47=(v).bInitVal; \
                                          bFM0P_GPIO_DDR4_P47=1u; \
                                          bFM0P_GPIO_SPSR_SUBXC0=0u; \
                                          bFM0P_GPIO_SPSR_SUBXC1=0u; \
                                          bFM0P_GPIO_PFR4_P47=0u; }while(0)


/*---- Fast GPIO bit NP47 ----*/
#define FGPIO1PIN_NP47_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR4_f.P47)) )

#define FGPIO1PIN_NP47_PUT(v)         ( bFM0P_GPIO_FPDOR4_P47=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP47_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP47_INITIN(v) \
                                                         : FGPIO1PIN_NP47_INITOUT(v) )

#define FGPIO1PIN_NP47_INITIN(v)      do{ bFM0P_GPIO_PCR4_P47=(v).bPullup; \
                                          bFM0P_GPIO_DDR4_P47=0u; \
                                          bFM0P_GPIO_SPSR_SUBXC0=0u; \
                                          bFM0P_GPIO_SPSR_SUBXC1=0u; \
                                          bFM0P_GPIO_PFR4_P47=0u; }while(0)

#define FGPIO1PIN_NP47_INITOUT(v)     do{ bFM0P_GPIO_PDOR4_P47=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR4_P47=1u; \
                                          bFM0P_GPIO_SPSR_SUBXC0=0u; \
                                          bFM0P_GPIO_SPSR_SUBXC1=0u; \
                                          bFM0P_GPIO_PFR4_P47=0u; }while(0)


/*---- Fast GPIO bit P49 ----*/

#define FGPIO1PIN_P49_GET             ( FM0P_FASTIO->FPDIR4_f.P49 )

#define FGPIO1PIN_P49_PUT(v)          ( bFM0P_GPIO_FPDOR4_P49=(v) )

#define FGPIO1PIN_P49_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P49_INITIN(v) \
                                                         : FGPIO1PIN_P49_INITOUT(v) )

#define FGPIO1PIN_P49_INITIN(v)       do{ bFM0P_GPIO_PCR4_P49=(v).bPullup; \
                                          bFM0P_GPIO_DDR4_P49=0u; \
                                          bFM0P_GPIO_PFR4_P49=0u; }while(0)

#define FGPIO1PIN_P49_INITOUT(v)      do{ bFM0P_GPIO_FPDOR4_P49=(v).bInitVal; \
                                          bFM0P_GPIO_DDR4_P49=1u; \
                                          bFM0P_GPIO_PFR4_P49=0u; }while(0)


/*---- Fast GPIO bit NP49 ----*/
#define FGPIO1PIN_NP49_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR4_f.P49)) )

#define FGPIO1PIN_NP49_PUT(v)         ( bFM0P_GPIO_FPDOR4_P49=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP49_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP49_INITIN(v) \
                                                         : FGPIO1PIN_NP49_INITOUT(v) )

#define FGPIO1PIN_NP49_INITIN(v)      do{ bFM0P_GPIO_PCR4_P49=(v).bPullup; \
                                          bFM0P_GPIO_DDR4_P49=0u; \
                                          bFM0P_GPIO_PFR4_P49=0u; }while(0)

#define FGPIO1PIN_NP49_INITOUT(v)     do{ bFM0P_GPIO_PDOR4_P49=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR4_P49=1u; \
                                          bFM0P_GPIO_PFR4_P49=0u; }while(0)


/*---- Fast GPIO bit P4A ----*/

#define FGPIO1PIN_P4A_GET             ( FM0P_FASTIO->FPDIR4_f.P4A )

#define FGPIO1PIN_P4A_PUT(v)          ( bFM0P_GPIO_FPDOR4_P4A=(v) )

#define FGPIO1PIN_P4A_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P4A_INITIN(v) \
                                                         : FGPIO1PIN_P4A_INITOUT(v) )

#define FGPIO1PIN_P4A_INITIN(v)       do{ bFM0P_GPIO_PCR4_P4A=(v).bPullup; \
                                          bFM0P_GPIO_DDR4_P4A=0u; \
                                          bFM0P_GPIO_PFR4_P4A=0u; }while(0)

#define FGPIO1PIN_P4A_INITOUT(v)      do{ bFM0P_GPIO_FPDOR4_P4A=(v).bInitVal; \
                                          bFM0P_GPIO_DDR4_P4A=1u; \
                                          bFM0P_GPIO_PFR4_P4A=0u; }while(0)


/*---- Fast GPIO bit NP4A ----*/
#define FGPIO1PIN_NP4A_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR4_f.P4A)) )

#define FGPIO1PIN_NP4A_PUT(v)         ( bFM0P_GPIO_FPDOR4_P4A=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP4A_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP4A_INITIN(v) \
                                                         : FGPIO1PIN_NP4A_INITOUT(v) )

#define FGPIO1PIN_NP4A_INITIN(v)      do{ bFM0P_GPIO_PCR4_P4A=(v).bPullup; \
                                          bFM0P_GPIO_DDR4_P4A=0u; \
                                          bFM0P_GPIO_PFR4_P4A=0u; }while(0)

#define FGPIO1PIN_NP4A_INITOUT(v)     do{ bFM0P_GPIO_PDOR4_P4A=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR4_P4A=1u; \
                                          bFM0P_GPIO_PFR4_P4A=0u; }while(0)


/*---- Fast GPIO bit P50 ----*/

#define FGPIO1PIN_P50_GET             ( FM0P_FASTIO->FPDIR5_f.P50 )

#define FGPIO1PIN_P50_PUT(v)          ( bFM0P_GPIO_FPDOR5_P50=(v) )

#define FGPIO1PIN_P50_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P50_INITIN(v) \
                                                         : FGPIO1PIN_P50_INITOUT(v) )

#define FGPIO1PIN_P50_INITIN(v)       do{ bFM0P_GPIO_PCR5_P50=(v).bPullup; \
                                          bFM0P_GPIO_DDR5_P50=0u; \
                                          bFM0P_GPIO_PFR5_P50=0u; }while(0)

#define FGPIO1PIN_P50_INITOUT(v)      do{ bFM0P_GPIO_FPDOR5_P50=(v).bInitVal; \
                                          bFM0P_GPIO_DDR5_P50=1u; \
                                          bFM0P_GPIO_PFR5_P50=0u; }while(0)


/*---- Fast GPIO bit NP50 ----*/
#define FGPIO1PIN_NP50_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR5_f.P50)) )

#define FGPIO1PIN_NP50_PUT(v)         ( bFM0P_GPIO_FPDOR5_P50=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP50_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP50_INITIN(v) \
                                                         : FGPIO1PIN_NP50_INITOUT(v) )

#define FGPIO1PIN_NP50_INITIN(v)      do{ bFM0P_GPIO_PCR5_P50=(v).bPullup; \
                                          bFM0P_GPIO_DDR5_P50=0u; \
                                          bFM0P_GPIO_PFR5_P50=0u; }while(0)

#define FGPIO1PIN_NP50_INITOUT(v)     do{ bFM0P_GPIO_PDOR5_P50=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR5_P50=1u; \
                                          bFM0P_GPIO_PFR5_P50=0u; }while(0)


/*---- Fast GPIO bit P51 ----*/

#define FGPIO1PIN_P51_GET             ( FM0P_FASTIO->FPDIR5_f.P51 )

#define FGPIO1PIN_P51_PUT(v)          ( bFM0P_GPIO_FPDOR5_P51=(v) )

#define FGPIO1PIN_P51_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P51_INITIN(v) \
                                                         : FGPIO1PIN_P51_INITOUT(v) )

#define FGPIO1PIN_P51_INITIN(v)       do{ bFM0P_GPIO_PCR5_P51=(v).bPullup; \
                                          bFM0P_GPIO_DDR5_P51=0u; \
                                          bFM0P_GPIO_PFR5_P51=0u; }while(0)

#define FGPIO1PIN_P51_INITOUT(v)      do{ bFM0P_GPIO_FPDOR5_P51=(v).bInitVal; \
                                          bFM0P_GPIO_DDR5_P51=1u; \
                                          bFM0P_GPIO_PFR5_P51=0u; }while(0)


/*---- Fast GPIO bit NP51 ----*/
#define FGPIO1PIN_NP51_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR5_f.P51)) )

#define FGPIO1PIN_NP51_PUT(v)         ( bFM0P_GPIO_FPDOR5_P51=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP51_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP51_INITIN(v) \
                                                         : FGPIO1PIN_NP51_INITOUT(v) )

#define FGPIO1PIN_NP51_INITIN(v)      do{ bFM0P_GPIO_PCR5_P51=(v).bPullup; \
                                          bFM0P_GPIO_DDR5_P51=0u; \
                                          bFM0P_GPIO_PFR5_P51=0u; }while(0)

#define FGPIO1PIN_NP51_INITOUT(v)     do{ bFM0P_GPIO_PDOR5_P51=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR5_P51=1u; \
                                          bFM0P_GPIO_PFR5_P51=0u; }while(0)


/*---- Fast GPIO bit P52 ----*/

#define FGPIO1PIN_P52_GET             ( FM0P_FASTIO->FPDIR5_f.P52 )

#define FGPIO1PIN_P52_PUT(v)          ( bFM0P_GPIO_FPDOR5_P52=(v) )

#define FGPIO1PIN_P52_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P52_INITIN(v) \
                                                         : FGPIO1PIN_P52_INITOUT(v) )

#define FGPIO1PIN_P52_INITIN(v)       do{ bFM0P_GPIO_PCR5_P52=(v).bPullup; \
                                          bFM0P_GPIO_DDR5_P52=0u; \
                                          bFM0P_GPIO_PFR5_P52=0u; }while(0)

#define FGPIO1PIN_P52_INITOUT(v)      do{ bFM0P_GPIO_FPDOR5_P52=(v).bInitVal; \
                                          bFM0P_GPIO_DDR5_P52=1u; \
                                          bFM0P_GPIO_PFR5_P52=0u; }while(0)


/*---- Fast GPIO bit NP52 ----*/
#define FGPIO1PIN_NP52_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR5_f.P52)) )

#define FGPIO1PIN_NP52_PUT(v)         ( bFM0P_GPIO_FPDOR5_P52=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP52_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP52_INITIN(v) \
                                                         : FGPIO1PIN_NP52_INITOUT(v) )

#define FGPIO1PIN_NP52_INITIN(v)      do{ bFM0P_GPIO_PCR5_P52=(v).bPullup; \
                                          bFM0P_GPIO_DDR5_P52=0u; \
                                          bFM0P_GPIO_PFR5_P52=0u; }while(0)

#define FGPIO1PIN_NP52_INITOUT(v)     do{ bFM0P_GPIO_PDOR5_P52=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR5_P52=1u; \
                                          bFM0P_GPIO_PFR5_P52=0u; }while(0)


/*---- Fast GPIO bit P60 ----*/

#define FGPIO1PIN_P60_GET             ( FM0P_FASTIO->FPDIR6_f.P60 )

#define FGPIO1PIN_P60_PUT(v)          ( bFM0P_GPIO_FPDOR6_P60=(v) )

#define FGPIO1PIN_P60_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P60_INITIN(v) \
                                                         : FGPIO1PIN_P60_INITOUT(v) )

#define FGPIO1PIN_P60_INITIN(v)       do{ bFM0P_GPIO_PCR6_P60=(v).bPullup; \
                                          bFM0P_GPIO_DDR6_P60=0u; \
                                          bFM0P_GPIO_PFR6_P60=0u; }while(0)

#define FGPIO1PIN_P60_INITOUT(v)      do{ bFM0P_GPIO_FPDOR6_P60=(v).bInitVal; \
                                          bFM0P_GPIO_DDR6_P60=1u; \
                                          bFM0P_GPIO_PFR6_P60=0u; }while(0)


/*---- Fast GPIO bit NP60 ----*/
#define FGPIO1PIN_NP60_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR6_f.P60)) )

#define FGPIO1PIN_NP60_PUT(v)         ( bFM0P_GPIO_FPDOR6_P60=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP60_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP60_INITIN(v) \
                                                         : FGPIO1PIN_NP60_INITOUT(v) )

#define FGPIO1PIN_NP60_INITIN(v)      do{ bFM0P_GPIO_PCR6_P60=(v).bPullup; \
                                          bFM0P_GPIO_DDR6_P60=0u; \
                                          bFM0P_GPIO_PFR6_P60=0u; }while(0)

#define FGPIO1PIN_NP60_INITOUT(v)     do{ bFM0P_GPIO_PDOR6_P60=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR6_P60=1u; \
                                          bFM0P_GPIO_PFR6_P60=0u; }while(0)


/*---- Fast GPIO bit P61 ----*/

#define FGPIO1PIN_P61_GET             ( FM0P_FASTIO->FPDIR6_f.P61 )

#define FGPIO1PIN_P61_PUT(v)          ( bFM0P_GPIO_FPDOR6_P61=(v) )

#define FGPIO1PIN_P61_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P61_INITIN(v) \
                                                         : FGPIO1PIN_P61_INITOUT(v) )

#define FGPIO1PIN_P61_INITIN(v)       do{ bFM0P_GPIO_PCR6_P61=(v).bPullup; \
                                          bFM0P_GPIO_DDR6_P61=0u; \
                                          bFM0P_GPIO_PFR6_P61=0u; }while(0)

#define FGPIO1PIN_P61_INITOUT(v)      do{ bFM0P_GPIO_FPDOR6_P61=(v).bInitVal; \
                                          bFM0P_GPIO_DDR6_P61=1u; \
                                          bFM0P_GPIO_PFR6_P61=0u; }while(0)


/*---- Fast GPIO bit NP61 ----*/
#define FGPIO1PIN_NP61_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR6_f.P61)) )

#define FGPIO1PIN_NP61_PUT(v)         ( bFM0P_GPIO_FPDOR6_P61=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP61_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP61_INITIN(v) \
                                                         : FGPIO1PIN_NP61_INITOUT(v) )

#define FGPIO1PIN_NP61_INITIN(v)      do{ bFM0P_GPIO_PCR6_P61=(v).bPullup; \
                                          bFM0P_GPIO_DDR6_P61=0u; \
                                          bFM0P_GPIO_PFR6_P61=0u; }while(0)

#define FGPIO1PIN_NP61_INITOUT(v)     do{ bFM0P_GPIO_PDOR6_P61=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR6_P61=1u; \
                                          bFM0P_GPIO_PFR6_P61=0u; }while(0)


/*---- Fast GPIO bit P80 ----*/

#define FGPIO1PIN_P80_GET             ( FM0P_FASTIO->FPDIR8_f.P80 )

#define FGPIO1PIN_P80_PUT(v)          ( bFM0P_GPIO_FPDOR8_P80=(v) )

#define FGPIO1PIN_P80_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P80_INITIN(v) \
                                                         : FGPIO1PIN_P80_INITOUT(v) )

#define FGPIO1PIN_P80_INITIN(v)       do{ bFM0P_GPIO_PCR8_P80=(v).bPullup; \
                                          bFM0P_GPIO_DDR8_P80=0u; \
                                          bFM0P_GPIO_PFR8_P80=0u; }while(0)

#define FGPIO1PIN_P80_INITOUT(v)      do{ bFM0P_GPIO_FPDOR8_P80=(v).bInitVal; \
                                          bFM0P_GPIO_DDR8_P80=1u; \
                                          bFM0P_GPIO_PFR8_P80=0u; }while(0)


/*---- Fast GPIO bit NP80 ----*/
#define FGPIO1PIN_NP80_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR8_f.P80)) )

#define FGPIO1PIN_NP80_PUT(v)         ( bFM0P_GPIO_FPDOR8_P80=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP80_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP80_INITIN(v) \
                                                         : FGPIO1PIN_NP80_INITOUT(v) )

#define FGPIO1PIN_NP80_INITIN(v)      do{ bFM0P_GPIO_PCR8_P80=(v).bPullup; \
                                          bFM0P_GPIO_DDR8_P80=0u; \
                                          bFM0P_GPIO_PFR8_P80=0u; }while(0)

#define FGPIO1PIN_NP80_INITOUT(v)     do{ bFM0P_GPIO_PDOR8_P80=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR8_P80=1u; \
                                          bFM0P_GPIO_PFR8_P80=0u; }while(0)


/*---- Fast GPIO bit P81 ----*/

#define FGPIO1PIN_P81_GET             ( FM0P_FASTIO->FPDIR8_f.P81 )

#define FGPIO1PIN_P81_PUT(v)          ( bFM0P_GPIO_FPDOR8_P81=(v) )

#define FGPIO1PIN_P81_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P81_INITIN(v) \
                                                         : FGPIO1PIN_P81_INITOUT(v) )

#define FGPIO1PIN_P81_INITIN(v)       do{ bFM0P_GPIO_PCR8_P81=(v).bPullup; \
                                          bFM0P_GPIO_DDR8_P81=0u; \
                                          bFM0P_GPIO_PFR8_P81=0u; }while(0)

#define FGPIO1PIN_P81_INITOUT(v)      do{ bFM0P_GPIO_FPDOR8_P81=(v).bInitVal; \
                                          bFM0P_GPIO_DDR8_P81=1u; \
                                          bFM0P_GPIO_PFR8_P81=0u; }while(0)


/*---- Fast GPIO bit NP81 ----*/
#define FGPIO1PIN_NP81_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR8_f.P81)) )

#define FGPIO1PIN_NP81_PUT(v)         ( bFM0P_GPIO_FPDOR8_P81=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP81_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP81_INITIN(v) \
                                                         : FGPIO1PIN_NP81_INITOUT(v) )

#define FGPIO1PIN_NP81_INITIN(v)      do{ bFM0P_GPIO_PCR8_P81=(v).bPullup; \
                                          bFM0P_GPIO_DDR8_P81=0u; \
                                          bFM0P_GPIO_PFR8_P81=0u; }while(0)

#define FGPIO1PIN_NP81_INITOUT(v)     do{ bFM0P_GPIO_PDOR8_P81=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR8_P81=1u; \
                                          bFM0P_GPIO_PFR8_P81=0u; }while(0)


/*---- Fast GPIO bit P82 ----*/

#define FGPIO1PIN_P82_GET             ( FM0P_FASTIO->FPDIR8_f.P82 )

#define FGPIO1PIN_P82_PUT(v)          ( bFM0P_GPIO_FPDOR8_P82=(v) )

#define FGPIO1PIN_P82_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_P82_INITIN(v) \
                                                         : FGPIO1PIN_P82_INITOUT(v) )

#define FGPIO1PIN_P82_INITIN(v)       do{ bFM0P_GPIO_PCR8_P82=(v).bPullup; \
                                          bFM0P_GPIO_DDR8_P82=0u; \
                                          bFM0P_GPIO_PFR8_P82=0u; }while(0)

#define FGPIO1PIN_P82_INITOUT(v)      do{ bFM0P_GPIO_FPDOR8_P82=(v).bInitVal; \
                                          bFM0P_GPIO_DDR8_P82=1u; \
                                          bFM0P_GPIO_PFR8_P82=0u; }while(0)


/*---- Fast GPIO bit NP82 ----*/
#define FGPIO1PIN_NP82_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIR8_f.P82)) )

#define FGPIO1PIN_NP82_PUT(v)         ( bFM0P_GPIO_FPDOR8_P82=(uint8_t)(~(v)) )

#define FGPIO1PIN_NP82_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NP82_INITIN(v) \
                                                         : FGPIO1PIN_NP82_INITOUT(v) )

#define FGPIO1PIN_NP82_INITIN(v)      do{ bFM0P_GPIO_PCR8_P82=(v).bPullup; \
                                          bFM0P_GPIO_DDR8_P82=0u; \
                                          bFM0P_GPIO_PFR8_P82=0u; }while(0)

#define FGPIO1PIN_NP82_INITOUT(v)     do{ bFM0P_GPIO_PDOR8_P82=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDR8_P82=1u; \
                                          bFM0P_GPIO_PFR8_P82=0u; }while(0)


/*---- Fast GPIO bit PE0 ----*/

#define FGPIO1PIN_PE0_GET             ( FM0P_FASTIO->FPDIRE_f.PE0 )

#define FGPIO1PIN_PE0_PUT(v)          ( bFM0P_GPIO_FPDORE_PE0=(v) )

#define FGPIO1PIN_PE0_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_PE0_INITIN(v) \
                                                         : FGPIO1PIN_PE0_INITOUT(v) )

#define FGPIO1PIN_PE0_INITIN(v)       do{ bFM0P_GPIO_PCRE_PE0=(v).bPullup; \
                                          bFM0P_GPIO_DDRE_PE0=0u; \
                                          bFM0P_GPIO_PFRE_PE0=0u; }while(0)

#define FGPIO1PIN_PE0_INITOUT(v)      do{ bFM0P_GPIO_FPDORE_PE0=(v).bInitVal; \
                                          bFM0P_GPIO_DDRE_PE0=1u; \
                                          bFM0P_GPIO_PFRE_PE0=0u; }while(0)


/*---- Fast GPIO bit NPE0 ----*/
#define FGPIO1PIN_NPE0_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIRE_f.PE0)) )

#define FGPIO1PIN_NPE0_PUT(v)         ( bFM0P_GPIO_FPDORE_PE0=(uint8_t)(~(v)) )

#define FGPIO1PIN_NPE0_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NPE0_INITIN(v) \
                                                         : FGPIO1PIN_NPE0_INITOUT(v) )

#define FGPIO1PIN_NPE0_INITIN(v)      do{ bFM0P_GPIO_PCRE_PE0=(v).bPullup; \
                                          bFM0P_GPIO_DDRE_PE0=0u; \
                                          bFM0P_GPIO_PFRE_PE0=0u; }while(0)

#define FGPIO1PIN_NPE0_INITOUT(v)     do{ bFM0P_GPIO_PDORE_PE0=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDRE_PE0=1u; \
                                          bFM0P_GPIO_PFRE_PE0=0u; }while(0)


/*---- Fast GPIO bit PE2 ----*/

#define FGPIO1PIN_PE2_GET             ( FM0P_FASTIO->FPDIRE_f.PE2 )

#define FGPIO1PIN_PE2_PUT(v)          ( bFM0P_GPIO_FPDORE_PE2=(v) )

#define FGPIO1PIN_PE2_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_PE2_INITIN(v) \
                                                         : FGPIO1PIN_PE2_INITOUT(v) )

#define FGPIO1PIN_PE2_INITIN(v)       do{ bFM0P_GPIO_PCRE_PE2=(v).bPullup; \
                                          bFM0P_GPIO_DDRE_PE2=0u; \
                                          bFM0P_GPIO_SPSR_MAINXC0=0u; \
                                          bFM0P_GPIO_SPSR_MAINXC1=0u; \
                                          bFM0P_GPIO_PFRE_PE2=0u; }while(0)

#define FGPIO1PIN_PE2_INITOUT(v)      do{ bFM0P_GPIO_FPDORE_PE2=(v).bInitVal; \
                                          bFM0P_GPIO_DDRE_PE2=1u; \
                                          bFM0P_GPIO_SPSR_MAINXC0=0u; \
                                          bFM0P_GPIO_SPSR_MAINXC1=0u; \
                                          bFM0P_GPIO_PFRE_PE2=0u; }while(0)


/*---- Fast GPIO bit NPE2 ----*/
#define FGPIO1PIN_NPE2_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIRE_f.PE2)) )

#define FGPIO1PIN_NPE2_PUT(v)         ( bFM0P_GPIO_FPDORE_PE2=(uint8_t)(~(v)) )

#define FGPIO1PIN_NPE2_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NPE2_INITIN(v) \
                                                         : FGPIO1PIN_NPE2_INITOUT(v) )

#define FGPIO1PIN_NPE2_INITIN(v)      do{ bFM0P_GPIO_PCRE_PE2=(v).bPullup; \
                                          bFM0P_GPIO_DDRE_PE2=0u; \
                                          bFM0P_GPIO_SPSR_MAINXC0=0u; \
                                          bFM0P_GPIO_SPSR_MAINXC1=0u; \
                                          bFM0P_GPIO_PFRE_PE2=0u; }while(0)

#define FGPIO1PIN_NPE2_INITOUT(v)     do{ bFM0P_GPIO_PDORE_PE2=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDRE_PE2=1u; \
                                          bFM0P_GPIO_SPSR_MAINXC0=0u; \
                                          bFM0P_GPIO_SPSR_MAINXC1=0u; \
                                          bFM0P_GPIO_PFRE_PE2=0u; }while(0)


/*---- Fast GPIO bit PE3 ----*/

#define FGPIO1PIN_PE3_GET             ( FM0P_FASTIO->FPDIRE_f.PE3 )

#define FGPIO1PIN_PE3_PUT(v)          ( bFM0P_GPIO_FPDORE_PE3=(v) )

#define FGPIO1PIN_PE3_INIT(v)         ( (0==(v).bOutput) ? FGPIO1PIN_PE3_INITIN(v) \
                                                         : FGPIO1PIN_PE3_INITOUT(v) )

#define FGPIO1PIN_PE3_INITIN(v)       do{ bFM0P_GPIO_PCRE_PE3=(v).bPullup; \
                                          bFM0P_GPIO_DDRE_PE3=0u; \
                                          bFM0P_GPIO_SPSR_MAINXC0=0u; \
                                          bFM0P_GPIO_SPSR_MAINXC1=0u; \
                                          bFM0P_GPIO_PFRE_PE3=0u; }while(0)

#define FGPIO1PIN_PE3_INITOUT(v)      do{ bFM0P_GPIO_FPDORE_PE3=(v).bInitVal; \
                                          bFM0P_GPIO_DDRE_PE3=1u; \
                                          bFM0P_GPIO_SPSR_MAINXC0=0u; \
                                          bFM0P_GPIO_SPSR_MAINXC1=0u; \
                                          bFM0P_GPIO_PFRE_PE3=0u; }while(0)


/*---- Fast GPIO bit NPE3 ----*/
#define FGPIO1PIN_NPE3_GET            ( (uint8_t)(!(FM0P_FASTIO->FPDIRE_f.PE3)) )

#define FGPIO1PIN_NPE3_PUT(v)         ( bFM0P_GPIO_FPDORE_PE3=(uint8_t)(~(v)) )

#define FGPIO1PIN_NPE3_INIT(v)        ( (0==(v).bOutput) ? FGPIO1PIN_NPE3_INITIN(v) \
                                                         : FGPIO1PIN_NPE3_INITOUT(v) )

#define FGPIO1PIN_NPE3_INITIN(v)      do{ bFM0P_GPIO_PCRE_PE3=(v).bPullup; \
                                          bFM0P_GPIO_DDRE_PE3=0u; \
                                          bFM0P_GPIO_SPSR_MAINXC0=0u; \
                                          bFM0P_GPIO_SPSR_MAINXC1=0u; \
                                          bFM0P_GPIO_PFRE_PE3=0u; }while(0)

#define FGPIO1PIN_NPE3_INITOUT(v)     do{ bFM0P_GPIO_PDORE_PE3=(uint8_t)(~((uint8_t)(v).bInitVal)); \
                                          bFM0P_GPIO_DDRE_PE3=1u; \
                                          bFM0P_GPIO_SPSR_MAINXC0=0u; \
                                          bFM0P_GPIO_SPSR_MAINXC1=0u; \
                                          bFM0P_GPIO_PFRE_PE3=0u; }while(0)



/******************************************************************************
   PIN RELOCATION
*******************************************************************************/

/*--- ADTG_1 for ADC#0 ---*/
#define SetPinFunc_ADTG_1_ADC0(dummy)        do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR09, 12u, 4u, 0x02u ); \
                                                 bFM0P_GPIO_PFRE_PE0 = 1u; }while(0)

/*--- ADTG_1 for ADC#1 ---*/
#define SetPinFunc_ADTG_1_ADC1(dummy)        do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR09, 16u, 4u, 0x02u ); \
                                                 bFM0P_GPIO_PFRE_PE0 = 1u; }while(0)

/*--- ADTG_1 for ADC#2 ---*/
#define SetPinFunc_ADTG_1_ADC2(dummy)        do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR09, 20u, 4u, 0x02u ); \
                                                 bFM0P_GPIO_PFRE_PE0 = 1u; }while(0)

/*--- ADTG_2 for ADC#0 ---*/
#define SetPinFunc_ADTG_2_ADC0(dummy)        do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR09, 12u, 4u, 0x03u ); \
                                                 bFM0P_GPIO_PFR3_P39 = 1u; }while(0)

/*--- ADTG_2 for ADC#1 ---*/
#define SetPinFunc_ADTG_2_ADC1(dummy)        do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR09, 16u, 4u, 0x03u ); \
                                                 bFM0P_GPIO_PFR3_P39 = 1u; }while(0)

/*--- ADTG_2 for ADC#2 ---*/
#define SetPinFunc_ADTG_2_ADC2(dummy)        do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR09, 20u, 4u, 0x03u ); \
                                                 bFM0P_GPIO_PFR3_P39 = 1u; }while(0)

/*--- AIN0_0 ---*/
#define SetPinFunc_AIN0_0(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR09, 0u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR3_P3D = 1u; }while(0)

/*--- AIN0_1 ---*/
#define SetPinFunc_AIN0_1(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR09, 0u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR2_P23 = 1u; \
                                                 bFM0P_GPIO_ADE_AN06 = 0u; }while(0)

/*--- AIN0_2 ---*/
#define SetPinFunc_AIN0_2(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR09, 0u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR5_P50 = 1u; }while(0)

/*--- AIN0_3 ---*/
#define SetPinFunc_AIN0_3(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR09, 0u, 2u, 0x00u ); \
                                                 bFM0P_GPIO_EPFR21_QAIN0S = 1u; \
                                                 bFM0P_GPIO_PFR3_P3A = 1u; }while(0)

/*--- BIN0_0 ---*/
#define SetPinFunc_BIN0_0(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR09, 2u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR3_P3E = 1u; }while(0)

/*--- BIN0_1 ---*/
#define SetPinFunc_BIN0_1(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR09, 2u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR2_P21 = 1u; }while(0)

/*--- BIN0_2 ---*/
#define SetPinFunc_BIN0_2(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR09, 2u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR5_P51 = 1u; }while(0)

/*--- BIN0_3 ---*/
#define SetPinFunc_BIN0_3(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR09, 2u, 2u, 0x00u ); \
                                                 bFM0P_GPIO_EPFR21_QBIN0S = 1u; \
                                                 bFM0P_GPIO_PFR3_P3B = 1u; }while(0)

/*--- CROUT_1 ---*/
#define SetPinFunc_CROUT_1(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR00, 1u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR0_P0F = 1u; }while(0)

/*--- DTTI0X_0 ---*/
#define SetPinFunc_DTTI0X_0(dummy)           do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 16u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR3_P39 = 1u; }while(0)

/*--- DTTI0X_1 ---*/
#define SetPinFunc_DTTI0X_1(dummy)           do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 16u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFRE_PE0 = 1u; }while(0)

/*--- DTTI0X_2 ---*/
#define SetPinFunc_DTTI0X_2(dummy)           do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 16u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR6_P61 = 1u; }while(0)

/*--- FRCK0_0 ---*/
#define SetPinFunc_FRCK0_0(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 18u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR2_P21 = 1u; }while(0)

/*--- FRCK0_1 ---*/
#define SetPinFunc_FRCK0_1(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 18u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR8_P80 = 1u; }while(0)

/*--- FRCK0_2 ---*/
#define SetPinFunc_FRCK0_2(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 18u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR1_P11 = 1u; \
                                                 bFM0P_GPIO_ADE_AN01 = 0u; }while(0)

/*--- IC00_0 ---*/
#define SetPinFunc_IC00_0(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 20u, 3u, 0x01u ); \
                                                 bFM0P_GPIO_PFR6_P60 = 1u; }while(0)

/*--- IC00_2 ---*/
#define SetPinFunc_IC00_2(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 20u, 3u, 0x03u ); \
                                                 bFM0P_GPIO_PFR1_P12 = 1u; \
                                                 bFM0P_GPIO_ADE_AN02 = 0u; }while(0)

/*--- IC01_0 ---*/
#define SetPinFunc_IC01_0(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 23u, 3u, 0x01u ); \
                                                 bFM0P_GPIO_PFR5_P50 = 1u; }while(0)

/*--- IC01_1 ---*/
#define SetPinFunc_IC01_1(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 23u, 3u, 0x02u ); \
                                                 bFM0P_GPIO_PFR2_P21 = 1u; }while(0)

/*--- IC01_2 ---*/
#define SetPinFunc_IC01_2(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 23u, 3u, 0x03u ); \
                                                 bFM0P_GPIO_PFR1_P13 = 1u; \
                                                 bFM0P_GPIO_ADE_AN03 = 0u; }while(0)

/*--- IC02_0 ---*/
#define SetPinFunc_IC02_0(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 26u, 3u, 0x01u ); \
                                                 bFM0P_GPIO_PFR1_P11 = 1u; \
                                                 bFM0P_GPIO_ADE_AN01 = 0u; }while(0)

/*--- IC02_1 ---*/
#define SetPinFunc_IC02_1(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 26u, 3u, 0x02u ); \
                                                 bFM0P_GPIO_PFR2_P23 = 1u; \
                                                 bFM0P_GPIO_ADE_AN06 = 0u; }while(0)

/*--- IC02_2 ---*/
#define SetPinFunc_IC02_2(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 26u, 3u, 0x03u ); \
                                                 bFM0P_GPIO_PFR1_P14 = 1u; \
                                                 bFM0P_GPIO_ADE_AN04 = 0u; }while(0)

/*--- IC03_1 ---*/
#define SetPinFunc_IC03_1(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 29u, 3u, 0x02u ); \
                                                 bFM0P_GPIO_PFR2_P22 = 1u; \
                                                 bFM0P_GPIO_ADE_AN07 = 0u; }while(0)

/*--- IC03_2 ---*/
#define SetPinFunc_IC03_2(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 29u, 3u, 0x03u ); \
                                                 bFM0P_GPIO_PFR1_P15 = 1u; \
                                                 bFM0P_GPIO_ADE_AN05 = 0u; }while(0)

/*--- IGTRG0_0 ---*/
#define SetPinFunc_IGTRG0_0(dummy)           do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 13u, 1u, 0x00u ); \
                                                 bFM0P_GPIO_PFR6_P60 = 1u; }while(0)

/*--- IGTRG0_1 ---*/
#define SetPinFunc_IGTRG0_1(dummy)           do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 13u, 1u, 0x01u ); \
                                                 bFM0P_GPIO_PFR0_P04 = 1u; }while(0)

/*--- INT00_0 ---*/
#define SetPinFunc_INT00_0(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR06, 0u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR5_P50 = 1u; }while(0)

/*--- INT00_1 ---*/
#define SetPinFunc_INT00_1(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR06, 0u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR1_P13 = 1u; \
                                                 bFM0P_GPIO_ADE_AN03 = 0u; }while(0)

/*--- INT01_0 ---*/
#define SetPinFunc_INT01_0(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR06, 2u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR5_P51 = 1u; }while(0)

/*--- INT01_1 ---*/
#define SetPinFunc_INT01_1(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR06, 2u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR1_P12 = 1u; \
                                                 bFM0P_GPIO_ADE_AN02 = 0u; }while(0)

/*--- INT02_0 ---*/
#define SetPinFunc_INT02_0(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR06, 4u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR5_P52 = 1u; }while(0)

/*--- INT02_1 ---*/
#define SetPinFunc_INT02_1(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR06, 4u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR1_P11 = 1u; \
                                                 bFM0P_GPIO_ADE_AN01 = 0u; }while(0)

/*--- INT02_2 ---*/
#define SetPinFunc_INT02_2(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR06, 4u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFRE_PE0 = 1u; }while(0)

/*--- INT03_0 ---*/
#define SetPinFunc_INT03_0(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR06, 6u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR3_P3A = 1u; }while(0)

/*--- INT03_1 ---*/
#define SetPinFunc_INT03_1(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR06, 6u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR1_P14 = 1u; \
                                                 bFM0P_GPIO_ADE_AN04 = 0u; }while(0)

/*--- INT03_2 ---*/
#define SetPinFunc_INT03_2(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR06, 6u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR0_P04 = 1u; }while(0)

/*--- INT04_0 ---*/
#define SetPinFunc_INT04_0(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR06, 8u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR3_P3B = 1u; }while(0)

/*--- INT04_1 ---*/
#define SetPinFunc_INT04_1(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR06, 8u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR2_P23 = 1u; \
                                                 bFM0P_GPIO_ADE_AN06 = 0u; }while(0)

/*--- INT05_0 ---*/
#define SetPinFunc_INT05_0(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR06, 10u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR3_P3C = 1u; }while(0)

/*--- INT05_1 ---*/
#define SetPinFunc_INT05_1(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR06, 10u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR2_P22 = 1u; \
                                                 bFM0P_GPIO_ADE_AN07 = 0u; }while(0)

/*--- INT06_0 ---*/
#define SetPinFunc_INT06_0(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR06, 12u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR3_P3D = 1u; }while(0)

/*--- INT06_1 ---*/
#define SetPinFunc_INT06_1(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR06, 12u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR2_P21 = 1u; }while(0)

/*--- INT15_0 ---*/
#define SetPinFunc_INT15_0(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR06, 30u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR3_P3E = 1u; }while(0)

/*--- INT15_1 ---*/
#define SetPinFunc_INT15_1(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR06, 30u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR6_P60 = 1u; }while(0)

/*--- INT15_2 ---*/
#define SetPinFunc_INT15_2(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR06, 30u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR1_P15 = 1u; \
                                                 bFM0P_GPIO_ADE_AN05 = 0u; }while(0)

/*--- NMIX ---*/
#define SetPinFunc_NMIX(dummy)               do{ bFM0P_GPIO_EPFR00_NMIS = 1; \
                                                 bFM0P_GPIO_PFR0_P0F = 1u; }while(0)

/*--- RTCCO_0 ---*/
#define SetPinFunc_RTCCO_0(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR00, 4u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR0_P0F = 1u; }while(0)

/*--- RTCCO_1 ---*/
#define SetPinFunc_RTCCO_1(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR00, 4u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR1_P13 = 1u; \
                                                 bFM0P_GPIO_ADE_AN03 = 0u; }while(0)

/*--- RTCCO_2 ---*/
#define SetPinFunc_RTCCO_2(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR00, 4u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR3_P3A = 1u; }while(0)

/*--- RTO00_0 ---*/
#define SetPinFunc_RTO00_0(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 0u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR3_P3A = 1u; }while(0)

/*--- RTO01_0 ---*/
#define SetPinFunc_RTO01_0(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 2u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR3_P3B = 1u; }while(0)

/*--- RTO02_0 ---*/
#define SetPinFunc_RTO02_0(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 4u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR3_P3C = 1u; }while(0)

/*--- RTO03_0 ---*/
#define SetPinFunc_RTO03_0(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 6u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR3_P3D = 1u; }while(0)

/*--- RTO04_0 ---*/
#define SetPinFunc_RTO04_0(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 8u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR3_P3E = 1u; }while(0)

/*--- RTO05_0 ---*/
#define SetPinFunc_RTO05_0(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR01, 10u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR3_P3F = 1u; }while(0)

/*--- SCK0_0 ---*/
#define SetPinFunc_SCK0_0(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 8u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR2_P23 = 1u; \
                                                 bFM0P_GPIO_ADE_AN06 = 0u; }while(0)

/*--- SCK0_2 ---*/
#define SetPinFunc_SCK0_2(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 8u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR3_P3A = 1u; }while(0)

/*--- SCK1_1 ---*/
#define SetPinFunc_SCK1_1(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 14u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR1_P13 = 1u; \
                                                 bFM0P_GPIO_ADE_AN03 = 0u; }while(0)

/*--- SCK1_2 ---*/
#define SetPinFunc_SCK1_2(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 14u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR8_P80 = 1u; }while(0)

/*--- SCK3_0 ---*/
#define SetPinFunc_SCK3_0(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 26u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR0_P04 = 1u; }while(0)

/*--- SCK3_1 ---*/
#define SetPinFunc_SCK3_1(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 26u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR5_P52 = 1u; }while(0)

/*--- SCK3_2 ---*/
#define SetPinFunc_SCK3_2(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 26u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR3_P3D = 1u; }while(0)

/*--- SCS10_1 ---*/
#define SetPinFunc_SCS10_1(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR22, 4u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR1_P14 = 1u; \
                                                 bFM0P_GPIO_ADE_AN04 = 0u; }while(0)

/*--- SCS10_2 ---*/
#define SetPinFunc_SCS10_2(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR22, 4u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR6_P60 = 1u; }while(0)

/*--- SCS11_1 ---*/
#define SetPinFunc_SCS11_1(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR22, 6u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR1_P15 = 1u; \
                                                 bFM0P_GPIO_ADE_AN05 = 0u; }while(0)

/*--- SCS11_2 ---*/
#define SetPinFunc_SCS11_2(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR22, 6u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR6_P61 = 1u; }while(0)

/*--- SCS30_2 ---*/
#define SetPinFunc_SCS30_2(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR22, 12u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR3_P3C = 1u; }while(0)

/*--- SCS31_2 ---*/
#define SetPinFunc_SCS31_2(dummy)            do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR22, 14u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR3_P3B = 1u; }while(0)

/*--- SIN0_0 ---*/
#define SetPinFunc_SIN0_0(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 4u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR2_P21 = 1u; }while(0)

/*--- SIN0_1 ---*/
#define SetPinFunc_SIN0_1(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 4u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR1_P14 = 1u; \
                                                 bFM0P_GPIO_ADE_AN04 = 0u; }while(0)

/*--- SIN0_2 ---*/
#define SetPinFunc_SIN0_2(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 4u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR3_P3C = 1u; }while(0)

/*--- SIN1_1 ---*/
#define SetPinFunc_SIN1_1(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 10u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR1_P11 = 1u; \
                                                 bFM0P_GPIO_ADE_AN01 = 0u; }while(0)

/*--- SIN1_2 ---*/
#define SetPinFunc_SIN1_2(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 10u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR8_P82 = 1u; }while(0)

/*--- SIN3_0 ---*/
#define SetPinFunc_SIN3_0(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 22u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR6_P60 = 1u; }while(0)

/*--- SIN3_1 ---*/
#define SetPinFunc_SIN3_1(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 22u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR5_P50 = 1u; }while(0)

/*--- SIN3_2 ---*/
#define SetPinFunc_SIN3_2(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 22u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR3_P3F = 1u; }while(0)

/*--- SOT0_0 ---*/
#define SetPinFunc_SOT0_0(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 6u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR2_P22 = 1u; \
                                                 bFM0P_GPIO_ADE_AN07 = 0u; }while(0)

/*--- SOT0_1 ---*/
#define SetPinFunc_SOT0_1(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 6u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR1_P15 = 1u; \
                                                 bFM0P_GPIO_ADE_AN05 = 0u; }while(0)

/*--- SOT0_2 ---*/
#define SetPinFunc_SOT0_2(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 6u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR3_P3B = 1u; }while(0)

/*--- SOT1_1 ---*/
#define SetPinFunc_SOT1_1(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 12u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR1_P12 = 1u; \
                                                 bFM0P_GPIO_ADE_AN02 = 0u; }while(0)

/*--- SOT1_2 ---*/
#define SetPinFunc_SOT1_2(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 12u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR8_P81 = 1u; }while(0)

/*--- SOT3_0 ---*/
#define SetPinFunc_SOT3_0(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 24u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR6_P61 = 1u; }while(0)

/*--- SOT3_1 ---*/
#define SetPinFunc_SOT3_1(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 24u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR5_P51 = 1u; }while(0)

/*--- SOT3_2 ---*/
#define SetPinFunc_SOT3_2(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR07, 24u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR3_P3E = 1u; }while(0)

/*--- SUBOUT_0 ---*/
#define SetPinFunc_SUBOUT_0(dummy)           do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR00, 6u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR0_P0F = 1u; }while(0)

/*--- SUBOUT_1 ---*/
#define SetPinFunc_SUBOUT_1(dummy)           do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR00, 6u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR1_P13 = 1u; \
                                                 bFM0P_GPIO_ADE_AN03 = 0u; }while(0)

/*--- SUBOUT_2 ---*/
#define SetPinFunc_SUBOUT_2(dummy)           do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR00, 6u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR3_P3A = 1u; }while(0)

/*--- TIOA0_0_OUT ---*/
#define SetPinFunc_TIOA0_0_OUT(dummy)        do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR04, 2u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR3_P3E = 1u; }while(0)

/*--- TIOA0_1_OUT ---*/
#define SetPinFunc_TIOA0_1_OUT(dummy)        do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR04, 2u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR3_P3A = 1u; }while(0)

/*--- TIOA1_0_IN ---*/
#define SetPinFunc_TIOA1_0_IN(dummy)         do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR04, 8u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR3_P3F = 1u; }while(0)

/*--- TIOA1_0_OUT ---*/
#define SetPinFunc_TIOA1_0_OUT(dummy)        do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR04, 10u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR3_P3F = 1u; }while(0)

/*--- TIOA1_1_IN ---*/
#define SetPinFunc_TIOA1_1_IN(dummy)         do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR04, 8u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR3_P3B = 1u; }while(0)

/*--- TIOA1_1_OUT ---*/
#define SetPinFunc_TIOA1_1_OUT(dummy)        do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR04, 10u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR3_P3B = 1u; }while(0)

/*--- TIOA2_0_OUT ---*/
#define SetPinFunc_TIOA2_0_OUT(dummy)        do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR04, 18u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR2_P23 = 1u; \
                                                 bFM0P_GPIO_ADE_AN06 = 0u; }while(0)

/*--- TIOA2_1_OUT ---*/
#define SetPinFunc_TIOA2_1_OUT(dummy)        do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR04, 18u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR3_P3C = 1u; }while(0)

/*--- TIOA2_2_OUT ---*/
#define SetPinFunc_TIOA2_2_OUT(dummy)        do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR04, 18u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR6_P60 = 1u; }while(0)

/*--- TIOA3_1_IN ---*/
#define SetPinFunc_TIOA3_1_IN(dummy)         do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR04, 24u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR3_P3D = 1u; }while(0)

/*--- TIOA3_1_OUT ---*/
#define SetPinFunc_TIOA3_1_OUT(dummy)        do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR04, 26u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR3_P3D = 1u; }while(0)

/*--- TIOB0_0_IN ---*/
#define SetPinFunc_TIOB0_0_IN(dummy)         do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR04, 4u, 3u, 0x01u ); \
                                                 bFM0P_GPIO_PFR4_P49 = 1u; }while(0)

/*--- TIOB0_1_IN ---*/
#define SetPinFunc_TIOB0_1_IN(dummy)         do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR04, 4u, 3u, 0x02u ); \
                                                 bFM0P_GPIO_PFR0_P04 = 1u; }while(0)

/*--- TIOB1_0_IN ---*/
#define SetPinFunc_TIOB1_0_IN(dummy)         do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR04, 12u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR4_P4A = 1u; }while(0)

/*--- TIOB1_1_IN ---*/
#define SetPinFunc_TIOB1_1_IN(dummy)         do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR04, 12u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR2_P21 = 1u; }while(0)

/*--- TIOB2_0_IN ---*/
#define SetPinFunc_TIOB2_0_IN(dummy)         do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR04, 20u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR2_P22 = 1u; \
                                                 bFM0P_GPIO_ADE_AN07 = 0u; }while(0)

/*--- TIOB2_2_IN ---*/
#define SetPinFunc_TIOB2_2_IN(dummy)         do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR04, 20u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR6_P61 = 1u; }while(0)

/*--- ZIN0_0 ---*/
#define SetPinFunc_ZIN0_0(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR09, 4u, 2u, 0x01u ); \
                                                 bFM0P_GPIO_PFR3_P3F = 1u; }while(0)

/*--- ZIN0_1 ---*/
#define SetPinFunc_ZIN0_1(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR09, 4u, 2u, 0x02u ); \
                                                 bFM0P_GPIO_PFR2_P22 = 1u; \
                                                 bFM0P_GPIO_ADE_AN07 = 0u; }while(0)

/*--- ZIN0_2 ---*/
#define SetPinFunc_ZIN0_2(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR09, 4u, 2u, 0x03u ); \
                                                 bFM0P_GPIO_PFR5_P52 = 1u; }while(0)

/*--- ZIN0_3 ---*/
#define SetPinFunc_ZIN0_3(dummy)             do{ PINRELOC_SET_EPFR( FM0P_GPIO->EPFR09, 4u, 2u, 0x00u ); \
                                                 bFM0P_GPIO_EPFR21_QZIN0S = 1u; \
                                                 bFM0P_GPIO_PFR3_P3C = 1u; }while(0)


/******************************************************************************
   ANALOG PINS
*******************************************************************************/

/*--- AN00 ---*/
#define SetPinFunc_AN00(dummy)               ( bFM0P_GPIO_ADE_AN00 = 1 )

/*--- AN01 ---*/
#define SetPinFunc_AN01(dummy)               ( bFM0P_GPIO_ADE_AN01 = 1 )

/*--- AN02 ---*/
#define SetPinFunc_AN02(dummy)               ( bFM0P_GPIO_ADE_AN02 = 1 )

/*--- AN03 ---*/
#define SetPinFunc_AN03(dummy)               ( bFM0P_GPIO_ADE_AN03 = 1 )

/*--- AN04 ---*/
#define SetPinFunc_AN04(dummy)               ( bFM0P_GPIO_ADE_AN04 = 1 )

/*--- AN05 ---*/
#define SetPinFunc_AN05(dummy)               ( bFM0P_GPIO_ADE_AN05 = 1 )

/*--- AN06 ---*/
#define SetPinFunc_AN06(dummy)               ( bFM0P_GPIO_ADE_AN06 = 1 )

/*--- AN07 ---*/
#define SetPinFunc_AN07(dummy)               ( bFM0P_GPIO_ADE_AN07 = 1 )


#endif // #ifndef __GPIO_S6E1A1XC0A_H__


/******************************************************************************/
/* EOF (not truncated)                                                        */
/******************************************************************************/

